--- certmonger_main_fr.po	2011-04-01 12:26:55.000000000 -0400
+++ certmonger_main_fr3.po	2011-04-10 15:25:12.289889000 -0400
@@ -20,17 +20,17 @@
 #: src/certmaster.c:112 src/ipa.c:126
 #, c-format
 msgid "Unable to determine hostname of CA.\n"
-msgstr "\n"
+msgstr "Impossible de déterminer le nom d'hôte de l'autorité de certification.\n"
 
 #: src/certmaster.c:129 src/ipa.c:157
 #, c-format
 msgid "Unable to read signing request.\n"
-msgstr ""
+msgstr "Impossible de lire la signature de la demande.\n"
 
 #: src/certmaster.c:157 src/ipa.c:203
 #, c-format
 msgid "Error setting up for XMLRPC.\n"
-msgstr ""
+msgstr "Erreur lors de la configuration de XMLRPC.\n"
 
 #: src/certmaster.c:179 src/getcert.c:263 src/getcert.c:281 src/getcert.c:299
 #: src/getcert.c:317 src/getcert.c:335 src/getcert.c:352 src/getcert.c:729
@@ -38,711 +38,712 @@
 #: src/getcert.c:1725 src/getcert.c:1791 src/getcert.c:1816 src/getcert.c:1831
 #, c-format
 msgid "Error parsing server response.\n"
-msgstr ""
+msgstr "Erreur d'analyse de la réponse du serveur.\n"
 
 #: src/certmaster.c:183
 #, c-format
 msgid "Server error.\n"
-msgstr ""
+msgstr "Erreur du serveur.\n"
 
 #: src/getcert.c:88 src/getcert.c:125
 #, c-format
 msgid "Path \"%s\" is not absolute, using \"%s\" instead.\n"
-msgstr ""
+msgstr "Le chemin d'accès « %s » n'est pas absolu, il a été remplacé par « %s ».\n"
 
 #: src/getcert.c:92 src/getcert.c:129
 #, c-format
 msgid ""
 "Path \"%s\" is not absolute, and there was an error determining the name of "
 "the current directory.\n"
-msgstr ""
+msgstr "Le chemin d'accès « %s » n'est pas absolu, et il y a une erreur pour déterminer le nom du répertoire courant.\n"
 
 #: src/getcert.c:148 src/getcert.c:174
 #, c-format
 msgid "Error connecting to DBus.\n"
-msgstr ""
+msgstr "Erreur de connexion à DBus.\n"
 
 #: src/getcert.c:181
 #, c-format
 msgid "Error creating DBus request message.\n"
-msgstr ""
+msgstr "Erreur de création du message de demande de DBus.\n"
 
 #: src/getcert.c:192
 #, c-format
 msgid "Insufficient access.  Please retry operation as root.\n"
-msgstr ""
+msgstr "Accès insuffisant. Veuillez réitérer l'opération en tant qu'administrateur.\n"
 
 #: src/getcert.c:195
 #, c-format
 msgid "Please verify that the certmonger service has been started.\n"
-msgstr ""
+msgstr "Veuillez vérifier que le service certmonger a été démarré.\n"
 
 #: src/getcert.c:198
 #, c-format
 msgid "Please verify that the certmonger service is still running.\n"
-msgstr ""
+msgstr "Veuillez vérifier que le service certmonger est démarré.\n"
 
 #: src/getcert.c:201
 #, c-format
 msgid "Please verify that the message bus (D-Bus) service is running.\n"
-msgstr ""
+msgstr "Veuillez vérifier que le service bus de messages (D-Bus) est en cours d'exécution.\n"
 
 #: src/getcert.c:218
 #, c-format
 msgid "Error %s: %s\n"
-msgstr ""
+msgstr "Erreur %s : %s\n"
 
 #: src/getcert.c:221
 #, c-format
 msgid "Error %s\n"
-msgstr ""
+msgstr "Erreur %s\n"
 
 #: src/getcert.c:226
 #, c-format
 msgid "Error: %s\n"
-msgstr ""
+msgstr "Erreur : %s\n"
 
 #: src/getcert.c:228
 #, c-format
 msgid "Received error response from local %s service.\n"
-msgstr ""
+msgstr "Un message d'erreur a été reçu du service local %s.\n"
 
 #: src/getcert.c:234
 #, c-format
 msgid "No response received from %s service.\n"
-msgstr ""
+msgstr "Pas de réponse du service %s.\n"
 
 #: src/getcert.c:391 src/getcert.c:1043 src/getcert.c:1413
 #, c-format
 msgid "Error initializing Kerberos library: %s.\n"
-msgstr ""
+msgstr "Erreur lors de l'initialisation de la bibliothèque Kerberos : %s.\n"
 
 #: src/getcert.c:448 src/getcert.c:1112 src/getcert.c:1456
 #, c-format
 msgid "Could not evaluate OID \"%s\".\n"
-msgstr ""
+msgstr "Impossible d'évaluer OID « %s ».\n"
 
 #: src/getcert.c:458 src/getcert.c:1122 src/getcert.c:1466
 #, c-format
 msgid "Error parsing Kerberos principal name \"%s\": %s.\n"
-msgstr ""
+msgstr "Erreur lors de l'analyse du nom principal Kerberos « %s » : %s.\n"
 
 #: src/getcert.c:466 src/getcert.c:1130 src/getcert.c:1474
 #, c-format
 msgid "Error unparsing Kerberos principal name \"%s\": %s.\n"
-msgstr ""
+msgstr "Erreur lors de la récupération du nom principal Kerberos « %s » : %s.\n"
 
 #: src/getcert.c:499 src/getcert.c:1166 src/getcert.c:1312 src/getcert.c:1518
 #, c-format
 msgid "Database location or nickname specified without the other.\n"
-msgstr ""
+msgstr "Un élément est manquant entre le nom de la base de données ou son nom.\n"
 
 #: src/getcert.c:505 src/getcert.c:1172 src/getcert.c:1318 src/getcert.c:1524
 #, c-format
 msgid "Database directory and certificate file both specified.\n"
-msgstr ""
+msgstr "Le répertoire de la base de données et le fichier de certificat ont été spécifiés.\n"
 
 #: src/getcert.c:513 src/getcert.c:1326 src/getcert.c:1532
 #, c-format
 msgid "None of database directory and nickname or certificate file specified.\n"
-msgstr ""
+msgstr "Aucun répertoire de base de données, nom ou fichier de certificat n'ont été spécifiés.\n"
 
 #: src/getcert.c:520 src/getcert.c:1188
 #, c-format
 msgid "Key and certificate can not both be saved to the same file.\n"
-msgstr ""
+msgstr "Les clés et les certificats ne peuvent être tous les deux enregistrés dans le même répertoire.\n"
 
 #: src/getcert.c:545
 #, c-format
 msgid ""
 "The IPA backend requires the use of the -K option (principal name) when the "
 "-N option (subject name) is used.\n"
-msgstr ""
+msgstr "Le backend IPA requiert l'utilisation de l'option -K (nom principal) si l'option -N (nom d'objet) est utilisée.\n"
 
 #: src/getcert.c:675 src/getcert.c:982 src/getcert.c:1268 src/getcert.c:1552
 #, c-format
 msgid "No CA with name \"%s\" found.\n"
-msgstr ""
+msgstr "Pas d'autorité de certification avec le nom « %s » trouvé.\n"
 
 #: src/getcert.c:724 src/getcert.c:998 src/getcert.c:1285 src/getcert.c:1357
 #: src/getcert.c:1615
 #, c-format
 msgid "Error setting request arguments.\n"
-msgstr ""
+msgstr "Erreur de paramétrage des arguments.\n"
 
 #: src/getcert.c:735
 #, c-format
 msgid "New signing request \"%s\" added.\n"
-msgstr ""
+msgstr "Nouvelle demande de signature de « %s » ajoutée.\n"
 
 #: src/getcert.c:738
 #, c-format
 msgid "New signing request could not be added.\n"
-msgstr ""
+msgstr "La nouvelle demande de signature n'a pas pu être ajoutée.\n"
 
 #: src/getcert.c:1009
 #, c-format
 msgid "New tracking request \"%s\" added.\n"
-msgstr ""
+msgstr "Nouvelle demande de suivi « %s » ajoutée.\n"
 
 #: src/getcert.c:1013
 #, c-format
 msgid "New tracking request could not be added.\n"
-msgstr ""
+msgstr "La nouvelle demande de suivi n'a pas pu être ajoutée.\n"
 
 #: src/getcert.c:1181
 #, c-format
 msgid ""
 "None of ID or database directory and nickname or certificate file "
 "specified.\n"
-msgstr ""
+msgstr "Aucun ID ou répertoire de base de données ni de nom ou fichier de certificat spécifié.\n"
 
 #: src/getcert.c:1299
 #, c-format
 msgid "Request \"%s\" modified.\n"
-msgstr ""
+msgstr "Demande « %s » modifiée.\n"
 
 #: src/getcert.c:1303
 #, c-format
 msgid "Request \"%s\" could not be modified.\n"
-msgstr ""
+msgstr "La demande « %s » ne peux être modifiée.\n"
 
 #: src/getcert.c:1349 src/getcert.c:1538
 #, c-format
 msgid "No request found that matched arguments.\n"
-msgstr ""
+msgstr "Aucune demande ne correspond aux arguments.\n"
 
 #: src/getcert.c:1367
 #, c-format
 msgid "Request \"%s\" removed.\n"
-msgstr ""
+msgstr "Demande « %s » suprimée.\n"
 
 #: src/getcert.c:1371
 #, c-format
 msgid "Request \"%s\" could not be removed.\n"
-msgstr ""
+msgstr "Demande « %s » n'a pas pu être enlevée.\n"
 
 #: src/getcert.c:1629
 #, c-format
 msgid "Error modifying \"%s\".\n"
-msgstr ""
+msgstr "Erreur lors de la modification de « %s ».\n"
 
 #: src/getcert.c:1645
 #, c-format
 msgid "Resubmitting \"%s\" to \"%s\".\n"
-msgstr ""
+msgstr "Nouvelle soumission de « %s » à « %s ».\n"
 
 #: src/getcert.c:1648
 #, c-format
 msgid "Resubmitting \"%s\".\n"
-msgstr ""
+msgstr "Nouvelle soumission de « %s ».\n"
 
 #: src/getcert.c:1654
 #, c-format
 msgid "Error attempting to submit \"%s\" to \"%s\".\n"
-msgstr ""
+msgstr "Erreur en tentant de soumettre « %s » à « %s ».\n"
 
 #: src/getcert.c:1657
 #, c-format
 msgid "Error attempting to submit \"%s\".\n"
-msgstr ""
+msgstr "Erreur en tentant de soumettre « %s ».\n"
 
 #: src/getcert.c:1703
 #, c-format
 msgid "Number of certificates and requests being tracked: %d.\n"
-msgstr ""
+msgstr "Le numéro des certificats et les demandes qui seront suivis : %d.\n"
 
 #: src/getcert.c:1778
 #, c-format
 msgid "Request ID '%s':\n"
-msgstr ""
+msgstr "ID de la demande « %s » :\n"
 
 #: src/getcert.c:1779
 #, c-format
 msgid "\tstatus: %s\n"
-msgstr ""
+msgstr "\tétat : %s\n"
 
 #: src/getcert.c:1783
 #, c-format
 msgid "\tca-error: %s\n"
-msgstr ""
+msgstr "\terreur-ac : %s\n"
 
 #: src/getcert.c:1785
 #, c-format
 msgid "\tstuck: %s\n"
-msgstr ""
+msgstr "\tbloqué : %s\n"
 
 #: src/getcert.c:1805
 #, c-format
 msgid "\tkey pair storage: %s%s%s%s%s%s%s%s%s%s%s%s%s%s\n"
-msgstr ""
+msgstr "\tpaire de clés de stockage : %s%s%s%s%s%s%s%s%s%s%s%s%s%s\n"
 
 #: src/getcert.c:1806
 msgid "type="
-msgstr ""
+msgstr "modèle="
 
 #: src/getcert.c:1807
 msgid ",location='"
-msgstr ""
+msgstr ", emplacement = '"
 
 #: src/getcert.c:1808 src/getcert.c:1822
 msgid ",nickname="
-msgstr ""
+msgstr ", nom = "
 
 #: src/getcert.c:1809 src/getcert.c:1823
 msgid ",token='"
-msgstr ""
+msgstr ", jeton = '"
 
 #: src/getcert.c:1810
 msgid ",pin="
-msgstr ""
+msgstr ", pin = "
 
 #: src/getcert.c:1811
 msgid ",pinfile="
-msgstr ""
+msgstr ", fichier pin = "
 
 #: src/getcert.c:1820
 #, c-format
 msgid "\tcertificate: type=%s,location='%s'%s%s%s%s%s\n"
-msgstr ""
+msgstr "\tcertificat : modèle = %s, emplacement= « %s » %s%s%s%s%s\n"
 
 #: src/getcert.c:1836
 #, c-format
 msgid "\tCA: %s\n"
-msgstr ""
+msgstr "\tAutorité de certification : %s\n"
 
 #: src/getcert.c:1838
 #, c-format
 msgid "\tissuer: %s\n"
-msgstr ""
+msgstr "\témetteur : %s\n"
 
 #: src/getcert.c:1839
 #, c-format
 msgid "\tsubject: %s\n"
-msgstr ""
+msgstr "\tsujet : %s\n"
 
 #: src/getcert.c:1840
 #, c-format
 msgid "\texpires: %s\n"
-msgstr ""
+msgstr "\texpiration : %s\n"
 
 #: src/getcert.c:1841
 msgid "unknown"
-msgstr ""
+msgstr "inconnu"
 
 #: src/getcert.c:1844
 msgid "\temail: "
-msgstr ""
+msgstr "\te-mail : "
 
 #: src/getcert.c:1850
 msgid "\tdns: "
-msgstr ""
+msgstr "\tdns : "
 
 #: src/getcert.c:1856
 msgid "\tprincipal name: "
-msgstr ""
+msgstr "\tnom principal : "
 
 #: src/getcert.c:1862
 msgid "\teku: "
-msgstr ""
+msgstr "\teku : "
 
 #: src/getcert.c:1866
 #, c-format
 msgid "\ttrack: %s\n"
-msgstr ""
+msgstr "\tchemin : %s\n"
 
 #: src/getcert.c:1870
 #, c-format
 msgid "\tauto-renew: %s\n"
-msgstr ""
+msgstr "\tauto-renouvellement : %s\n"
 
 #: src/getcert.c:1912
 #, c-format
 msgid "CA '%s':\n"
-msgstr ""
+msgstr "Autorité de certification « %s » :\n"
 
 #: src/getcert.c:1919
 #, c-format
 msgid "\tca-type: %s\n"
-msgstr ""
+msgstr "\ttype-ac : %s\n"
 
 #: src/getcert.c:1921
 #, c-format
 msgid "\thelper-location: %s\n"
-msgstr ""
+msgstr "\templacement-de-l'-aide : %s\n"
 
 #: src/getcert.c:1925
 #, c-format
 msgid "\tnext-serial-number: %s\n"
-msgstr ""
+msgstr "\tprochain-numéros-de-série : %s\n"
 
 #: src/getcert.c:1933
 #, c-format
 msgid "\tknown-issuer-names:\n"
-msgstr ""
+msgstr "\tnoms-des-problèmes-identifiés :\n"
 
 #: src/getcert.c:1959
 #, c-format
 msgid "%s - client certificate enrollment tool\n"
-msgstr ""
+msgstr "%s - outil d'inscription du certificat client\n"
 
 #: src/getcert.c:1963
 #, c-format
 msgid "Usage: %s request [options]\n"
-msgstr ""
+msgstr "Utilisation : %s request [options]\n"
 
 #: src/getcert.c:1965 src/getcert.c:2000 src/getcert.c:2035 src/getcert.c:2055
 msgid "Required arguments:\n"
-msgstr ""
+msgstr "Arguments requis :\n"
 
 #: src/getcert.c:1966 src/getcert.c:2003 src/getcert.c:2038 src/getcert.c:2058
 msgid "* If using an NSS database for storage:\n"
-msgstr ""
+msgstr "* Si vous utilisez une base de données NSS pour le stockage :\n"
 
 #: src/getcert.c:1967 src/getcert.c:2004 src/getcert.c:2039 src/getcert.c:2059
 msgid "  -d DIR\tNSS database for key and cert\n"
-msgstr ""
+msgstr "  -d RÉPERTOIRES\tNSS base de données pour les clés et certificats"
 
 #: src/getcert.c:1968 src/getcert.c:2005 src/getcert.c:2040 src/getcert.c:2060
 msgid "  -n NAME\tnickname for NSS-based storage (only valid with -d)\n"
-msgstr ""
+msgstr "  -n NOM\tsurnom pour le stockage NSS-base (valide uniquement avec -d)\n"
 
 #: src/getcert.c:1969 src/getcert.c:2006 src/getcert.c:2041 src/getcert.c:2061
 msgid ""
 "  -t NAME\toptional token name for NSS-based storage (only valid with -d)\n"
 msgstr ""
+"  -t NOM\tnom de jeton optionel pour le stockage NSS-base (valide uniquement avec -d)\n"
 
 #: src/getcert.c:1970 src/getcert.c:2007 src/getcert.c:2042 src/getcert.c:2062
 msgid "* If using files for storage:\n"
-msgstr ""
+msgstr "* Si vous utilisez des fichiers de stockage :\n"
 
 #: src/getcert.c:1971 src/getcert.c:2008 src/getcert.c:2043
 msgid "  -k FILE\tPEM file for private key\n"
-msgstr ""
+msgstr "  -k FICHIER\tPEM fichier pour une clé privée\n"
 
 #: src/getcert.c:1972 src/getcert.c:2009 src/getcert.c:2044
 msgid "  -f FILE\tPEM file for certificate (only valid with -k)\n"
-msgstr ""
+msgstr "  -f FICHIER\tPEM fichier du certificat (valide uniquement avec -k)\n"
 
 #: src/getcert.c:1973
 msgid "* If keys are to be encrypted:\n"
-msgstr ""
+msgstr "* Si les clés sont à chiffrer :\n"
 
 #: src/getcert.c:1974 src/getcert.c:2011 src/getcert.c:2066
 msgid "  -p FILE\tfile which holds the encryption PIN\n"
-msgstr ""
+msgstr "  -p FICHIER\tfichier qui contient le code PIN de chiffrement\n"
 
 #: src/getcert.c:1975 src/getcert.c:2012 src/getcert.c:2067
 msgid "  -P PIN\tPIN value\n"
-msgstr ""
+msgstr "  -P PIN\tvaleur PIN\n"
 
 #: src/getcert.c:1977 src/getcert.c:2014 src/getcert.c:2046 src/getcert.c:2076
 #: src/getcert.c:2090 src/getcert.c:2105
 msgid "Optional arguments:\n"
-msgstr ""
+msgstr "Arguments optionnels :\n"
 
 #: src/getcert.c:1978 src/getcert.c:2015 src/getcert.c:2077
 msgid "* Certificate handling settings:\n"
-msgstr ""
+msgstr "* Paramètres de gestion du certificat :\n"
 
 #: src/getcert.c:1979
 msgid "  -I NAME\tnickname to assign to the request\n"
-msgstr ""
+msgstr "  -I NOM\tnom à attribuer à la demande\n"
 
 #: src/getcert.c:1980
 msgid "  -g SIZE\tsize of key to be generated if one is not already in place\n"
-msgstr ""
+msgstr "  -g TAILLE\ttaille de la clé à générer si elle n'est pas déjà en place\n"
 
 #: src/getcert.c:1981 src/getcert.c:2017
 msgid "  -r\t\tattempt to renew the certificate when expiration nears (default)\n"
-msgstr ""
+msgstr "  -r\t\ttente de renouveler le certificat lorsque l'expiration approche (par défaut)\n"
 
 #: src/getcert.c:1982 src/getcert.c:2018
 msgid "  -R\t\tdon't attempt to renew the certificate when expiration nears\n"
-msgstr ""
+msgstr "  -R\t\tne pas tenter de renouveler le certificat lorsque l'expiration approche\n"
 
 #: src/getcert.c:1984 src/getcert.c:2020
 msgid "  -c CA\t\tuse the specified CA rather than the default\n"
-msgstr ""
+msgstr "  -c AC\t\tutiliser l'autorité de certification spécifié, plutôt que celui par défaut\n"
 
 #: src/getcert.c:1986
 msgid "* Parameters for the signing request:\n"
-msgstr ""
+msgstr "* Paramètres de la requête de signature :\n"
 
 #: src/getcert.c:1987 src/getcert.c:2070
 msgid "  -N NAME\tset requested subject name (default: CN=<hostname>)\n"
-msgstr ""
+msgstr "  -N NOM\tdéfinit le nom du sujet demandé (par défaut: CN=<nom d'hôte>)\n"
 
 #: src/getcert.c:1988 src/getcert.c:2071
 msgid "  -U EXTUSAGE\tset requested extended key usage OID\n"
-msgstr ""
+msgstr "  -U EXTUSAGE\tdéfinit l'étendu de l'utilisation d'une clé OID demandé\n"
 
 #: src/getcert.c:1989 src/getcert.c:2072
 msgid "  -K NAME\tset requested principal name\n"
-msgstr ""
+msgstr "  -K NOM\tdéfinit le nom principal demandé\n"
 
 #: src/getcert.c:1990 src/getcert.c:2073
 msgid "  -D DNSNAME\tset requested DNS name\n"
-msgstr ""
+msgstr "  -D NOMDNS\tdéfinit le nom DNS demandé"
 
 #: src/getcert.c:1991 src/getcert.c:2074
 msgid "  -E EMAIL\tset requested email address\n"
-msgstr ""
+msgstr "  -E EMAIL\tdéfinit l'adresse e-mail demandé\n"
 
 #: src/getcert.c:1992 src/getcert.c:2027 src/getcert.c:2047 src/getcert.c:2082
 #: src/getcert.c:2097 src/getcert.c:2110
 msgid "* Bus options:\n"
-msgstr ""
+msgstr "* Options du Bus :\n"
 
 #: src/getcert.c:1993 src/getcert.c:2028 src/getcert.c:2048 src/getcert.c:2083
 msgid "  -S\t\tconnect to the certmonger service on the system bus\n"
-msgstr ""
+msgstr "  -S\t\tconnecte le service certmonger sur le bus système\n"
 
 #: src/getcert.c:1994 src/getcert.c:2029 src/getcert.c:2049 src/getcert.c:2084
 msgid "  -s\t\tconnect to the certmonger service on the session bus\n"
-msgstr ""
+msgstr "  -s\t\tconnecte le service certmonger sur le bus de session\n"
 
 #: src/getcert.c:1998
 #, c-format
 msgid "Usage: %s start-tracking [options]\n"
-msgstr ""
+msgstr "Utilisation : %s start-tracking [options]\n"
 
 #: src/getcert.c:2001
 msgid "* If modifying an existing request:\n"
-msgstr ""
+msgstr "* Si vous modifiez une requête existante :\n"
 
 #: src/getcert.c:2002
 msgid "  -i NAME\tnickname of an existing tracking request\n"
-msgstr ""
+msgstr "  -i NOM\tnom d'une demande de suivi existante\n"
 
 #: src/getcert.c:2010 src/getcert.c:2065
 msgid "* If keys are encrypted:\n"
-msgstr ""
+msgstr "* Si les clés sont chiffrées :\n"
 
 #: src/getcert.c:2016
 msgid "  -I NAME\tnickname to give to tracking request\n"
-msgstr ""
+msgstr "  -I NOM\tnom à donner à la demande de suivi\n"
 
 #: src/getcert.c:2022
 msgid "* Parameters for the signing request at renewal time:\n"
-msgstr ""
+msgstr "* Paramètres de la requête de signature au moment du renouvellement :\n"
 
 #: src/getcert.c:2023
 msgid "  -U EXTUSAGE\toverride requested extended key usage OID\n"
-msgstr ""
+msgstr "  -U EXTUSAGE\toutrepasse la requête d'utilisation d'une clé OID étendue\n"
 
 #: src/getcert.c:2024
 msgid "  -K NAME\toverride requested principal name\n"
-msgstr ""
+msgstr "  -K NOM\toutrepasse le nom principal demandé\n"
 
 #: src/getcert.c:2025
 msgid "  -D DNSNAME\toverride requested DNS name\n"
-msgstr ""
+msgstr "  -D NOMDNS\toutrepasse le nom DNS demandé\n"
 
 #: src/getcert.c:2026
 msgid "  -E EMAIL\toverride requested email address\n"
-msgstr ""
+msgstr "  -E EMAIL\toutrepasse l'adresse e-mail demandée\n"
 
 #: src/getcert.c:2033
 #, c-format
 msgid "Usage: %s stop-tracking [options]\n"
-msgstr ""
+msgstr "Utilisation : %s stop-tracking [options]\n"
 
 #: src/getcert.c:2036 src/getcert.c:2056
 msgid "* By request identifier:\n"
-msgstr ""
+msgstr "* En identifiant la demande :\n"
 
 #: src/getcert.c:2037 src/getcert.c:2057
 msgid "  -i NAME\tnickname for tracking request\n"
-msgstr ""
+msgstr "  -i NOM\tnom pour suivre la demande\n"
 
 #: src/getcert.c:2053
 #, c-format
 msgid "Usage: %s resubmit [options]\n"
-msgstr ""
+msgstr "Utilisation : %s resubmit [options]\n"
 
 #: src/getcert.c:2063
 msgid "  -f FILE\tPEM file for certificate\n"
-msgstr ""
+msgstr "  -f FICHIER\tfichier PEM pour le certificat\n"
 
 #: src/getcert.c:2069
 msgid "* New parameter values for the signing request:\n"
-msgstr ""
+msgstr "* Nouvelle valeur du paramètre pour la demande de signature :\n"
 
 #: src/getcert.c:2078
 msgid "  -I NAME\tnew nickname to give to tracking request\n"
-msgstr ""
+msgstr "  -I NOM\tnouveau nom à donner à la demande de suivi\n"
 
 #: src/getcert.c:2080
 msgid "  -c CA\t\tuse the specified CA rather than the current one\n"
-msgstr ""
+msgstr "  -c AC\t\tutilise l'autorité de certification spécifié plutôt que l'actuel\n"
 
 #: src/getcert.c:2088
 #, c-format
 msgid "Usage: %s list [options]\n"
-msgstr ""
+msgstr "Utilisation : %s list [options]\n"
 
 #: src/getcert.c:2091 src/getcert.c:2107
 msgid "* General options:\n"
-msgstr ""
+msgstr "* Options générales :\n"
 
 #: src/getcert.c:2093
 msgid "  -c CA\tlist only requests and certs associated with this CA\n"
-msgstr ""
+msgstr "  -c AC\tliste seulement les requêtes et les certificats associés à une autorité de certification\n"
 
 #: src/getcert.c:2095
 msgid "  -r\tlist only information about outstanding requests\n"
-msgstr ""
+msgstr "  -r\tliste seulement l'information des demandes en attente\n"
 
 #: src/getcert.c:2096
 msgid "  -t\tlist only information about tracked certificates\n"
-msgstr ""
+msgstr "  -r\tliste seulement l'information des certificats suivis\n"
 
 #: src/getcert.c:2098 src/getcert.c:2111
 msgid "  -S\tconnect to the certmonger service on the system bus\n"
-msgstr ""
+msgstr "  -S\tconnecte le service certmonger sur le bus système\n"
 
 #: src/getcert.c:2099 src/getcert.c:2112
 msgid "  -s\tconnect to the certmonger service on the session bus\n"
-msgstr ""
+msgstr "  -s\tconnecte le service certmonger sur le bus de session\n"
 
 #: src/getcert.c:2103
 #, c-format
 msgid "Usage: %s list-cas [options]\n"
-msgstr ""
+msgstr "Utilisation : %s list-cas [options]\n"
 
 #: src/getcert.c:2108
 msgid "  -c CA\tlist only information about the CA with this name\n"
-msgstr ""
+msgstr "  -c AC\tliste seulement les informations à propos de l'autorité de certification avec ce nom\n"
 
 #: src/getcert.c:2163
 #, c-format
 msgid "%s: unrecognized command\n"
-msgstr ""
+msgstr "%s : commande inconnue\n"
 
 #: src/ipa.c:123
 #, c-format
 msgid "Unable to determine location of CA's XMLRPC server.\n"
-msgstr ""
+msgstr "Impossible de déterminer l'emplacement du serveur d'autorité de certification XMLRPC.\n"
 
 #: src/ipa.c:131
 #, c-format
 msgid "Unable to determine principal name for signing request.\n"
-msgstr ""
+msgstr "Impossible de déterminer le nom principal pour la signature démandée.\n"
 
 #: src/ipa.c:212
 #, c-format
 msgid "Error setting up ccache for local \"host\" service using default keytab.\n"
-msgstr ""
+msgstr "Erreur de mise en place ccache pour le service local « hôte » en utilisant keytab par défaut.\n"
 
 #: src/ipa.c:216
 #, c-format
 msgid "Error setting up ccache for \"%s\" using default keytab.\n"
-msgstr ""
+msgstr "Erreur de mise en place ccache pour « %s » en utilisant keytab par défaut.\n"
 
 #: src/ipa.c:222
 #, c-format
 msgid "Error setting up ccache for local \"host\" service using keytab \"%s\".\n"
-msgstr ""
+msgstr "Erreur de mise en place ccache pour le service local « hôte » en utilisant keytab « %s ».\n"
 
 #: src/ipa.c:226
 #, c-format
 msgid "Error setting up ccache for \"%s\" using keytab \"%s\".\n"
-msgstr ""
+msgstr "Erreur de mise en place ccache pour « %s » en utilisant keytab « %s ».\n"
 
 #: src/tdbush.c:186 src/tdbush.c:1165 src/tdbush.c:1329
 msgid "An internal error has occurred."
-msgstr ""
+msgstr "Une erreur interne s'est produite."
 
 #: src/tdbush.c:250
 msgid "No matching entry found.\n"
-msgstr ""
+msgstr "Aucune correspondance trouvées.\n"
 
 #: src/tdbush.c:397
 #, c-format
 msgid "There is already a CA with the nickname \"%s\"."
-msgstr ""
+msgstr "Il existe déjà une autorité de certification avec le nom « %s »."
 
 #: src/tdbush.c:405 src/tdbush.c:638 src/tdbush.c:1988
 #, c-format
 msgid "The nickname \"%s\" is not allowed."
-msgstr ""
+msgstr "Le nom « %s » n'est pas autorisé."
 
 #: src/tdbush.c:482
 msgid "Certificate storage type not specified."
-msgstr ""
+msgstr "Type de stockage de certificat non spécifié."
 
 #: src/tdbush.c:496
 #, c-format
 msgid "Certificate storage type \"%s\" not supported."
-msgstr ""
+msgstr "Le type de certificat « %s » n'est pas pris en charge."
 
 #: src/tdbush.c:519 src/tdbush.c:543 src/tdbush.c:584 src/tdbush.c:730
 #: src/tdbush.c:772 src/tdbush.c:2048
 #, c-format
 msgid "The location \"%s\" must be an absolute path."
-msgstr ""
+msgstr "L'emplacement « %s » doit être un chemin absolu."
 
 #: src/tdbush.c:535 src/tdbush.c:576
 msgid "Certificate storage location not specified."
-msgstr ""
+msgstr "Emplacement de stockage de certificat non spécifié."
 
 #: src/tdbush.c:552 src/tdbush.c:739
 #, c-format
 msgid "The parent of location \"%s\" must be a valid directory."
-msgstr ""
+msgstr "L'emplacement principal « %s » doit être un répertoire valide."
 
 #: src/tdbush.c:561 src/tdbush.c:748
 #, c-format
 msgid "The location \"%s\" must be a file."
-msgstr ""
+msgstr "L'emplacement « %s » doit être un fichier."
 
 #: src/tdbush.c:593 src/tdbush.c:781
 #, c-format
 msgid "The location \"%s\" must be a directory."
-msgstr ""
+msgstr "L'emplacement « %s » doit être un répertoire."
 
 #: src/tdbush.c:605
 msgid "Certificate nickname not specified."
-msgstr ""
+msgstr "Nom du certificat non spécifié."
 
 #: src/tdbush.c:629 src/tdbush.c:1981
 #, c-format
 msgid "There is already a request with the nickname \"%s\"."
-msgstr ""
+msgstr "Il existe déjà une demande avec le nom « %s »."
 
 #: src/tdbush.c:671
 #, c-format
 msgid "Certificate at same location is already used by request \"%s\"."
-msgstr ""
+msgstr "Un certificat au même emplacement est déjà utilisé par la demande « %s »."
 
 #: src/tdbush.c:700
 #, c-format
 msgid "Key storage type \"%s\" not supported."
-msgstr ""
+msgstr "Stockage de clés de type « %s » n'est pas pris en charge."
 
 #: src/tdbush.c:722 src/tdbush.c:764
 msgid "Key storage location not specified."
-msgstr ""
+msgstr "Emplacement de stockage de clé non spécifié."
 
 #: src/tdbush.c:793
 msgid "Key nickname not specified."
-msgstr ""
+msgstr "Nom de la clé non spécifié."
 
 #: src/tdbush.c:843
 #, c-format
 msgid "Key at same location is already used by request \"%s\"."
-msgstr ""
+msgstr "Une clé au même emplacement est déjà utilisé par la demande « %s »."
 
 #: src/tdbush.c:895
 msgid "No such CA."
-msgstr ""
+msgstr "Aucune autorité de certification."
 
 #: src/tdbush.c:2000
 #, c-format
 msgid "Certificate authority \"%s\" not known."
-msgstr ""
+msgstr "L'autorité de certification « %s » non connue."
 
 #: src/tdbush.c:2098
 msgid "Unrecognized parameter or wrong value type."
-msgstr ""
+msgstr "Paramètre inconnu ou type de valeur incorrecte."