--- for_use_anaconda_master_fr.po	2013-04-25 07:06:50.279497108 +0200
+++ for_use_anaconda_master_fr-1.po	2013-04-27 20:58:41.000000000 +0200
@@ -23,12 +23,12 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Anaconda\n"
 "Report-Msgid-Bugs-To: http://bugzilla.redhat.com/\n"
 "POT-Creation-Date: 2013-04-24 19:59-0700\n"
-"PO-Revision-Date: 2013-04-25 03:00+0000\n"
-"Last-Translator: Brian Lane <bcl@redhat.com>\n"
+"PO-Revision-Date: 2013-04-27 20:58+0100\n"
+"Last-Translator: Bribanick Dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
@@ -915,31 +915,33 @@
 msgstr "Nouvelle installation de %s %s"
 
 #: pyanaconda/ui/gui/spokes/custom.py:94
 #, python-format
 msgid "Create a new %(container_type)s ..."
-msgstr ""
+msgstr "Création d'un nouveau %(container_type)s ..."
 
 #: pyanaconda/ui/gui/spokes/custom.py:95
 #, python-format
 msgid "CONFIGURE %(container_type)s"
-msgstr ""
+msgstr "CONFIGURER %(container_type)s"
 
 #: pyanaconda/ui/gui/spokes/custom.py:96
 #, python-format
 msgid ""
 "Please create a name for this %(container_type)s and select at least one "
 "disk below."
 msgstr ""
+"Veuillez créer un nom pour ce %(container_type)s et choisir au moins un des "
+"disques ci-dessous."
 
 #: pyanaconda/ui/gui/spokes/custom.py:98
 msgid "Volume Group"
-msgstr ""
+msgstr "Groupe de volumes"
 
 #: pyanaconda/ui/gui/spokes/custom.py:99
 msgid "Volume"
-msgstr ""
+msgstr "Volume"
 
 #: pyanaconda/ui/gui/spokes/custom.py:100
 msgid ""
 "Storage configuration reset due to unrecoverable error. Click for details."
 msgstr "Réinitialisation de la configuration de stockage due à une erreur irrécupérable. Cliquez pour plus de détails."
@@ -964,19 +966,21 @@
 #, python-format
 msgid ""
 "The RAID level you have selected (%s) requires more disks (%d) than you "
 "currently have selected (%d)."
 msgstr ""
+"Le niveau RAID (%s) que vous avez sélectionné nécessite plus de disques (%d) "
+"que vous en avez sélectionné (%d)."
 
 #: pyanaconda/ui/gui/spokes/custom.py:112
 #: pyanaconda/ui/gui/spokes/custom.glade:617
 msgid "Please enter a valid name."
-msgstr ""
+msgstr "Veuillez saisir un nom valide."
 
 #: pyanaconda/ui/gui/spokes/custom.py:113
 msgid "That name is invalid. Try something else?"
-msgstr ""
+msgstr "Ce nom est invalide. Voulez-vous en essayer un autre ?"
 
 #: pyanaconda/ui/gui/spokes/custom.py:128
 msgid "LVM"
 msgstr "LVM"
 
@@ -999,11 +1003,11 @@
 msgid "Disk"
 msgstr "Disque"
 
 #: pyanaconda/ui/gui/spokes/custom.py:365
 msgid "container"
-msgstr ""
+msgstr "conteneur"
 
 #: pyanaconda/ui/gui/spokes/custom.py:544
 #: pyanaconda/ui/gui/spokes/custom.glade:656
 msgid "MANUAL PARTITIONING"
 msgstr "PARTITIONNEMENT MANUEL"
@@ -1269,11 +1273,11 @@
 msgid "Layout switching not configured."
 msgstr "Le basculement entre les agencements n'est pas défini."
 
 #: pyanaconda/ui/gui/spokes/langsupport.py:53
 msgid "_LANGUAGE SUPPORT"
-msgstr ""
+msgstr "_PRISE EN CHARGE DE LA LANGUE"
 
 #: pyanaconda/ui/gui/spokes/network.py:88
 msgid "Status unknown (missing)"
 msgstr "État inconnu (absent)"
 
@@ -1644,15 +1648,18 @@
 msgid ""
 "Your current <a href=\"\"><b>%(product)s</b> software selection</a> requires"
 " <b>%(total)s</b> of available space, including <b>%(software)s</b> for "
 "software and <b>%(swap)s</b> for swap space."
 msgstr ""
+"Votre sélection de logiciels <a href=\"\"><b>%(product)s</b> demande "
+"<b>%(total)s</b> d'espace libre, comprenant <b>%(software)s</b> pour les logiciels et "
+"<b>%(swap)s</b> pour le swap."
 
 #: pyanaconda/ui/gui/spokes/storage.py:232
 #, python-format
 msgid "%s The disks you've selected have the following amounts of free space:"
-msgstr ""
+msgstr "Les disques %s que vous avez sélectionnés ont la quantité d'espace libre suivante :"
 
 #: pyanaconda/ui/gui/spokes/storage.py:236
 #: pyanaconda/ui/gui/spokes/storage.py:268
 msgid "Please wait... software metadata still loading."
 msgstr "Merci de patienter... chargement des métadonnées en cours."
@@ -1670,19 +1677,26 @@
 msgid ""
 "%(sw_text)s You don't have enough space available to install "
 "<b>%(product)s</b>, even if you used all of the free space available on the "
 "selected disks."
 msgstr ""
+"%(sw_text)s Vous n'avez pas assez d'espace libre disponible pour installer "
+"<b>%(product)s</b>, même si vous utilisez la totalité de l'espace libre disponible "
+"sur les disques sélectionnés."
 
 #: pyanaconda/ui/gui/spokes/storage.py:275
 #, python-format
 msgid ""
 "<b>You don't have enough space available to install %s</b>, even if you used"
 " all of the free space available on the selected disks.  You could add more "
 "disks for additional space, modify your software selection to install a "
 "smaller version of <b>%s</b>, or quit the installer."
 msgstr ""
+"<b>Vous n'avez pas assez d'espace libre pour installer %s</b>, même si vous utilisez "
+"la totalité de l'espace libre disponible des disques sélectionnés. Vous pouvez ajouter "
+"plus de disques pour ajouter de l'espace, modifier votre sélection de logiciel pour en installer "
+"une moins importante de <b>%s</b>, ou quitter l'installateur."
 
 #: pyanaconda/ui/gui/spokes/storage.py:318
 msgid "INSTALLATION _DESTINATION"
 msgstr "_DESTINATION DE L'INSTALLATION"
 
@@ -1703,11 +1717,11 @@
 msgstr "Avertissement lors de la vérification de votre configuration de stockage. Cliquez pour plus de détails."
 
 #: pyanaconda/ui/gui/spokes/storage.py:593
 #, python-format
 msgid "%s free"
-msgstr ""
+msgstr "%s d'espace libre"
 
 #: pyanaconda/ui/gui/spokes/storage.py:644
 #, python-format
 msgid "%d disk selected; %s capacity; %s free"
 msgid_plural "%d disks selected; %s capacity; %s free"
@@ -2154,11 +2168,11 @@
 msgid "_Multipath Devices"
 msgstr "Périphériques _multivoie"
 
 #: pyanaconda/ui/gui/spokes/filter.glade:1107
 msgid "Identifier"
-msgstr ""
+msgstr "Identifiant"
 
 #: pyanaconda/ui/gui/spokes/filter.glade:1219
 msgid "_Other SAN Devices"
 msgstr "_Autres périphériques SAN"
 
@@ -2195,19 +2209,19 @@
 msgid "_zSeries Devices"
 msgstr "Périphériques system_z"
 
 #: pyanaconda/ui/gui/spokes/filter.glade:1494
 msgid "Add _ZFCP LUN..."
-msgstr ""
+msgstr "Ajout du LUN _ZFCP..."
 
 #: pyanaconda/ui/gui/spokes/filter.glade:1509
 msgid "Add _iSCSI Target..."
-msgstr ""
+msgstr "Ajout de la cible _iSCSI..."
 
 #: pyanaconda/ui/gui/spokes/filter.glade:1524
 msgid "Add FCo_E SAN..."
-msgstr ""
+msgstr "Ajout du SAN FCo_E..."
 
 #: pyanaconda/ui/gui/spokes/filter.glade:1546
 #: pyanaconda/ui/gui/spokes/storage.glade:1036
 #: pyanaconda/ui/gui/spokes/custom.glade:1795
 msgid "summary"
@@ -2373,15 +2387,15 @@
 msgid "SOFTWARE SELECTION"
 msgstr "SÉLECTION DE LOGICIELS"
 
 #: pyanaconda/ui/gui/spokes/software.glade:89
 msgid "Base Environment"
-msgstr ""
+msgstr "Base de l'environnement"
 
 #: pyanaconda/ui/gui/spokes/software.glade:109
 msgid "Add-Ons for Selected Environment"
-msgstr ""
+msgstr "Add-ons pour l'environnement sélectionné"
 
 #: pyanaconda/ui/gui/spokes/software.glade:163
 #: pyanaconda/ui/gui/spokes/software.glade:214
 #: pyanaconda/ui/gui/spokes/software.glade:229
 #: pyanaconda/ui/gui/spokes/langsupport.glade:113
@@ -2576,15 +2590,15 @@
 msgid "description"
 msgstr "description"
 
 #: pyanaconda/ui/gui/spokes/langsupport.glade:26
 msgid "LANGUAGE SUPPORT"
-msgstr ""
+msgstr "PRISE EN CHARGE DE LA LANGUE"
 
 #: pyanaconda/ui/gui/spokes/langsupport.glade:71
 msgid "Select additional language support to be installed"
-msgstr ""
+msgstr "Sélectionnez les langues supplémentaires que vous voulez installer"
 
 #: pyanaconda/ui/gui/spokes/password.glade:9
 msgid "ROOT PASSWORD"
 msgstr "MOT DE PASSE ADMINISTRATEUR"
 
@@ -2935,16 +2949,17 @@
 msgid "_Save"
 msgstr "_Sauvegarder"
 
 #: pyanaconda/ui/gui/spokes/custom.glade:391
 msgid "CONFIGURE CONTAINER"
-msgstr ""
+msgstr "CONFIGURATION DU CONTENEUR"
 
 #: pyanaconda/ui/gui/spokes/custom.glade:406
 msgid ""
 "Please create a name for this container and select at least one disk below."
 msgstr ""
+"Veuillez créer un nom pour ce conteneur et sélectionner un des disques ci-dessous."
 
 #: pyanaconda/ui/gui/spokes/custom.glade:505
 #: pyanaconda/ui/gui/spokes/custom.glade:1988
 #: pyanaconda/ui/gui/spokes/lib/cart.glade:163
 msgid "Free"
@@ -2955,15 +2970,15 @@
 msgid "ID"
 msgstr "ID"
 
 #: pyanaconda/ui/gui/spokes/custom.glade:549
 msgid "RAID Level:"
-msgstr ""
+msgstr "Niveau RAID :"
 
 #: pyanaconda/ui/gui/spokes/custom.glade:577
 msgid "Encrypt"
-msgstr ""
+msgstr "Chiffrer"
 
 #: pyanaconda/ui/gui/spokes/custom.glade:743
 msgid ""
 "When you create mount points for your %s %s installation, you'll be able to "
 "view their details here."
@@ -3109,125 +3124,136 @@
 msgid "Select one or more disks this device may reside on."
 msgstr "Sélectionnez un ou plusieurs disques où sera installé ce périphérique."
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:67
 msgid "ADD iSCSI STORAGE TARGET"
-msgstr ""
+msgstr "AJOUT DE LA CIBLE DE STOCKAGE iSCSI"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:96
 msgid ""
 "To use iSCSI disks, you must provide the address of your iSCSI target and "
 "the iSCSI initiator name you've configured for your host."
 msgstr ""
+"Pour utiliser des disques iSCSI, vous devez fournir l'adresse de votre cible iSCSI et "
+"le nom initiateur que vous avez configuré pour votre hôte."
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:126
 msgid "_Target IP Address:"
-msgstr ""
+msgstr "Adresse de la _cible IP :"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:157
 msgid "iSCSI _Initiator Name:"
-msgstr ""
+msgstr "Nom de l'_initiateur iSCSI"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:195
 msgid "_Discovery Authentication Type:"
-msgstr ""
+msgstr "_Recherche du type d'authentification :"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:212
 msgid ""
 "<span size=\"small\"><b>Example:</b> iqn.2012-09.com.example:diskarrays-"
 "sn-a8675309</span>"
 msgstr ""
+"<span size=\"small\"><b>Exemple:</b> iqn.2012-09.com.exemple:diskarrays-"
+"sn-a8675309</span>"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:261
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:406
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:830
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:978
 msgid "CHAP _Username:"
-msgstr ""
+msgstr "Nom d'_utilisateur CHAP"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:277
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:422
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:846
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:994
 msgid "CHAP _Password:"
-msgstr ""
+msgstr "Mot de _passe CHAP"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:438
 msgid "Reverse CHAP User_name:"
-msgstr ""
+msgstr "Révoquer le _nom d'utilisateur CHAP"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:454
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:1026
 msgid "Reverse CHAP Pass_word:"
-msgstr ""
+msgstr "Révoquer le mot de _passe CHAP"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:490
 msgid "_Start Discovery"
-msgstr ""
+msgstr "_Démarrer la recherche"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:527
 msgid "Discovering iSCSI targets.  This may take a moment..."
-msgstr ""
+msgstr "Recherche des cibles iSCSI. Cela peut prendre un certain temps..."
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:569
 msgid "<b>Discovery login rejected.</b>"
-msgstr ""
+msgstr "<b>La recherche de connexion a été rejetée.</b>"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:584
 msgid ""
 "The following error occurred discovering iSCSI targets.  Please double check"
 " your authorization information and try again."
 msgstr ""
+"L'erreur suivante est apparue lors de la recherche des cibles iSCSI. Veuillez vérifier "
+"une deuxième fois votre information d'autorisation et ré-essayer."
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:610
 msgid "_Retry Discovery"
-msgstr ""
+msgstr "_Recommencer la recherche"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:653
 msgid "_Bind targets to network interfaces"
-msgstr ""
+msgstr "_Lier la cible aux'interfaces réseau"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:689
 msgid ""
 "The following nodes were discovered using the iSCSI initiator "
 "<b>%(initiatorName)s</b> using the target IP address "
 "<b>%(targetAddress)s</b>.  Please select which nodes you wish to log into:"
 msgstr ""
+"Les nœuds suivants ont été découverts en utilisant l'initiateur iSCSI "
+"<b>%(initiatorName)s</b> en utilisant l'adresse IP de la cible "
+"<b>%(targetAddress)s</b>. Veuillez choisir à partir de quels nœuds vous voulez vous connecter : "
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:731
 msgid "Node Name"
-msgstr ""
+msgstr "Nom du nœud "
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:742
 msgid "Interface"
-msgstr ""
+msgstr "Interface"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:772
 msgid "_Node login authentication type:"
-msgstr ""
+msgstr "_Type d'authentification de connexion du nœud :"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:1010
 msgid "_Reverse CHAP Username:"
-msgstr ""
+msgstr "_Révoquer le nom d'utilisateur CHAP"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:1078
 msgid "_Log In"
-msgstr ""
+msgstr "_Connexion"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:1136
 msgid "<b>Node login failed.</b>"
-msgstr ""
+msgstr "<b>La connexion au nœud a échoué..</b>"
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:1151
 msgid ""
 "The following error occurred logging into the selected iSCSI node.  Please "
 "double check your authorization information and try again"
 msgstr ""
+"L'erreur suivante est apparue lors de la connexion au nœud iSCSI choisi. Veuillez vérifier "
+"une deuxième fois votre information d'autorisation et ré-essayer."
 
 #: pyanaconda/ui/gui/spokes/advstorage/iscsi.glade:1177
 msgid "_Retry Log In"
-msgstr ""
+msgstr "_Ré-essayer la connexion"
 
 #: pyanaconda/ui/gui/spokes/lib/cart.glade:25
 #: pyanaconda/ui/gui/spokes/lib/cart.glade:79
 msgid "SELECTED DISKS"
 msgstr "DISQUES SÉLECTIONNÉS"