--- system-config-nfs.master-docs.fr.new.po	2010-07-22 21:25:41.000000000 +0200
+++ system-config-nfs.master-docs.fr.new2.po	2010-07-25 22:03:47.000000000 +0200
@@ -16,7 +16,7 @@
 "Project-Id-Version: system-config-nfs.tip.fr\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2010-05-06 17:05+0200\n"
-"PO-Revision-Date: 2010-07-19 21:22+0200\n"
+"PO-Revision-Date: 2010-07-25 22:06+0200\n"
 "Last-Translator: Boris BARNIER <b.barnier@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
@@ -202,7 +202,7 @@
 "portmapper."
 " Vous pouvez définir les paramètres du serveur NFS en cliquant sur le bouton "
 "<"
-"guibutton>Paramètres du serveur</guibutton>. La figure ci-dessous "
+"guibutton>Paramètres du serveur</guibutton>. L'écran ci-dessous "
 "illustre la fenêtre des Paramètres du serveur NFS."
 
 #: /home/nils/src/docs/system-config-nfs-docs/doc/C/system-config-nfs-complete.xml:49(application)
@@ -274,7 +274,7 @@
 "directory. Refer to <xref linkend=\"s2-nfs-hostname-formats\"/> for an "
 "explanation of possible formats."
 msgstr ""
-"<guilabel>Hôtes</guilabel> — Définit les hôtes avec qui partager les "
+"<guilabel>Hôte(s)</guilabel> — Définit les hôtes avec qui partager les "
 "répertoires. Reportez-vous à <xref linkend=\"s2-nfs-hostname-formats\"/> "
 "pour une explication sur le formats possibles."
 
@@ -283,7 +283,8 @@
 "<guilabel>Basic permissions</guilabel> — Specify whether the directory "
 "should have read-only or read/write permissions."
 msgstr ""
-"<guilabel>Droits de base</guilabel> — Définit si le répertoire devrait avoir "
+"<guilabel>Permissions de base</guilabel> — Définit si le répertoire devrait "
+"avoir "
 "les droits en lecture seule ou lecture/écriture."
 
 #: /home/nils/src/docs/system-config-nfs-docs/doc/C/system-config-nfs-complete.xml:64(title)
@@ -299,7 +300,7 @@
 "The <guilabel>General Options</guilabel> tab allows the following options to "
 "be configured:"
 msgstr ""
-"L'onglet <guilabel>options générales</guilabel> permet de configurer les "
+"L'onglet <guilabel>Options générales</guilabel> permet de configurer les "
 "options suivantes :"
 
 #: /home/nils/src/docs/system-config-nfs-docs/doc/C/system-config-nfs-complete.xml:68(title)
@@ -317,7 +318,7 @@
 "option to allow the NFS service to be started by a user other than root. "
 "This option corresponds to <command>insecure</command>."
 msgstr ""
-"<guilabel>Autoriser les connexions depuis le port 1024 et supérieur<"
+"<guilabel>Autoriser les connexions depuis les ports 1024 et supérieurs<"
 "/guilabel> — Les services démarrés sur les numéros de port inférieurs à 1024 "
 "doivent être démarrés en tant que root. Sélectionnez cette option pour "
 "permettre au service NFS d'être lancé par un utilisateur autre que root. "
@@ -328,7 +329,7 @@
 "<guilabel>Allow insecure file locking</guilabel> — Do not require a lock "
 "request. This option corresponds to <command>insecure_locks</command>."
 msgstr ""
-"<guilabel>Autoriser le verrouillage de fichier non sécurisé</guilabel> — Ne "
+"<guilabel>Autoriser le verrouillage de fichier non sûrs</guilabel> — Ne "
 "pas exiger une demande de verrouillage. Cette option correspond à <command>"
 "insecure_locks</command>."
 
@@ -342,7 +343,7 @@
 "selecting to disable subtree checking can increase the transfer rate. This "
 "option corresponds to <command>no_subtree_check</command>."
 msgstr ""
-"<guilabel>Désactiver la vérification des sous-arborescences</guilabel> — Si "
+"<guilabel>Désactiver le contrôle de la sous-arborescence</guilabel> — Si "
 "un sous-répertoire d'un système de fichiers est exporté, mais que le système "
 "de fichiers n'est pas exporté, le serveur vérifie si le fichier demandé se "
 "trouve dans le sous-répertoire exporté. Cette vérification est appelée <"
@@ -361,7 +362,7 @@
 "to <command>sync</command>. If this is not selected, the <command>async</"
 "command> option is used."
 msgstr ""
-"<guilabel>Synchronisation des opérations d'écritures à la demande</guilabel> "
+"<guilabel>Synchroniser les opérations d'écritures sur demande</guilabel> "
 "— Activée par défaut, cette option ne permet pas au serveur de répondre aux "
 "requêtes avant que les modifications apportées par la demande soient écrites "
 "sur le disque. Cette option correspond à <command>sync</command>. Si elle "
@@ -373,7 +374,7 @@
 "delay writing to disk. This option corresponds to <command>no_wdelay</"
 "command>."
 msgstr ""
-"<guilabel>Forcer la synchronisation des opérations d'écritures immédiatement<"
+"<guilabel>Forcer la synchronisation immédiates des opérations d'écritures<"
 "/guilabel> — Ne diffère pas l'écriture sur le disque. Cette option "
 "correspond à <command>no_wdelay</command>."
 
@@ -384,7 +385,7 @@
 "nested directories are revealed. The clients can therefore navigate through "
 "a filesystem from the parent without noticing any changes."
 msgstr ""
-"<guilabel>Cacher le système de fichiers dessous</guilabel> active ou "
+"<guilabel>Cacher le système de fichiers sous</guilabel> active ou "
 "désactive l'option <command>nohide</command>. Quand l'option <command>"
 "nohide</command> est désactivée, les répertoires imbriqués sont révélés. Les "
 "clients peuvent donc naviguer à travers un système de fichiers à partir du "
@@ -396,7 +397,7 @@
 "command> option which allows a directory to be exported only if it has been "
 "mounted."
 msgstr ""
-"<guilabel>Exporter uniquement s'il est monté</guilabel> définit l'option <"
+"<guilabel>Exporter seulement si monté</guilabel> définit l'option <"
 "command>mountpoint</command> qui permet à un répertoire d'être exporté que "
 "s'il a été monté."
 
@@ -417,7 +418,8 @@
 "command> option. This is mainly used in a clustered setup. Using a "
 "consistent filesystem ID in all clusters avoids having stale NFS filehandles."
 msgstr ""
-"<guilabel>Définir explicitement un ID de système de fichiers :</guilabel> "
+"<guilabel>Indiquez un identifiant explicite de système de fichiers :<"
+"/guilabel> "
 "définit l'option "
 "<command>fsid=X</command>. Ceci est principalement utilisé dans une "
 "configuration en cluster. En utilisant un ID de système de fichiers "
@@ -437,7 +439,7 @@
 "The <guilabel>User Access</guilabel> tab allows the following options to be "
 "configured:"
 msgstr ""
-"L'onglet <guilabel>Accès Utilisateur</guilabel> permet de configurer les "
+"L'onglet <guilabel>Accès utilisateur</guilabel> permet de configurer les "
 "options suivantes :"
 
 #: /home/nils/src/docs/system-config-nfs-docs/doc/C/system-config-nfs-complete.xml:92(para)
@@ -472,7 +474,8 @@
 "option is selected, all user and group IDs are mapped to the anonymous user. "
 "This option corresponds to <command>all_squash</command>."
 msgstr ""
-"<guilabel>Traiter tous les clients comme des utilisateurs anonymes</guilabel>"
+"<guilabel>Considérer tous les utilisateurs clients comme des utilisateurs "
+"anonymes</guilabel>"
 " — Si cette option est sélectionnée, tous les identifiants d'utilisateur et "
 "de groupe sont associés avec ceux de l'utilisateur anonyme. Cette option "
 "correspond à <command>all_squash</command>."
@@ -484,7 +487,7 @@
 "this option lets you specify a user ID for the anonymous user. This option "
 "corresponds to <command>anonuid</command>."
 msgstr ""
-"<guilabel>Définir un ID d'utilisateur local pour les utilisateurs anonymes<"
+"<guilabel>ID de l'utilisateur local pour les utilisateurs anonymes<"
 "/guilabel> — Si <guilabel>Traiter tous les clients comme des utilisateurs "
 "anonymes</guilabel> est sélectionné, cette option vous permet de spécifier "
 "un ID utilisateur pour l'utilisateur anonyme. Cette option correspond à <"
@@ -497,9 +500,10 @@
 "this option lets you specify a group ID for the anonymous user. This option "
 "corresponds to <command>anongid</command>."
 msgstr ""
-"<guilabel>Définir un ID de groupe local pour les utilisateurs anonymes<"
+"<guilabel>ID du groupe local pour les utilisateurs anonymes<"
 "/guilabel> — Si <"
-"guilabel>Traiter tous les clients comme des utilisateurs anonymes</guilabel> "
+"guilabel>Considérer tous les utilisateurs clients comme des utilisateurs "
+"anonymes</guilabel> "
 "est sélectionné, cette option vous permet de spécifier un ID de groupe pour "
 "l'utilisateur anonyme. Cette option correspond à  <command>anongid</command>."
 
@@ -545,7 +549,7 @@
 "can be used after modifying the file manually (provided the file was "
 "modified with correct syntax)."
 msgstr ""
-"L'<application>Outil de Configuration du Server NFS</application> lit et "
+"L'<application>Outil de configuration du server NFS</application> lit et "
 "écrit directement dans le fichier de configuration <filename>/etc/exports<"
 "/filename>. Ainsi, le fichier peut être modifié manuellement après avoir "
 "utilisé l'outil et l'outil peut être utilisé après avoir modifié le fichier "