--- virt-inst.default.fr.orig.po	2010-09-01 19:20:42.000000000 +0200
+++ virt-inst.default.fr.po	2010-09-06 21:15:39.000000000 +0200
@@ -3,33 +3,37 @@
 # This file is distributed under the same license as the PACKAGE package.
 #
 # Gauthier Ancelin <gauthier.ancelin@laposte.net>, 2008.
+# Boris BARNIER <b.barnier@gmail.com>, 2010.
 msgid ""
 msgstr ""
 "Project-Id-Version: virtinst.tip\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2010-08-24 17:09-0400\n"
-"PO-Revision-Date: 2008-02-12 00:21+0100\n"
-"Last-Translator: Gauthier Ancelin <gauthier.ancelin@laposte.net>\n"
-"Language-Team: french <fedora-trans-fr@redhat.com>\n"
+"PO-Revision-Date: 2010-09-06 21:15+0200\n"
+"Last-Translator: Boris BARNIER <b.barnier@gmail.com>\n"
+"Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.11.4\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: virtinst/CapabilitiesParser.py:230
 #, python-format
 msgid "No domains available for virt type '%(type)s', arch %(arch)s."
 msgstr ""
+"Il n'y a pas de domaine disponibles pour une virtualisation de type « %(type)"
+"s », et d'architecture %(arch)s."
 
 #: virtinst/CapabilitiesParser.py:545
 #, python-format
 msgid "for arch '%s'"
-msgstr ""
+msgstr "pour l'architecture « %s »"
 
 #: virtinst/CapabilitiesParser.py:549
-#, fuzzy, python-format
+#, python-format
 msgid "virtualization type '%s'"
-msgstr "L'URL de l'emplacement est invalide : %s %s"
+msgstr "type de virtualisation « %s »,"
 
 #: virtinst/CapabilitiesParser.py:551
 msgid "any virtualization options"
@@ -38,7 +42,7 @@
 #: virtinst/CapabilitiesParser.py:553
 #, python-format
 msgid "Host does not support %(virttype)s %(arch)s"
-msgstr ""
+msgstr "La machine hôte ne supporte pas %(virttype)s %(arch)s"
 
 #: virtinst/CapabilitiesParser.py:566
 #, python-format
@@ -46,29 +50,28 @@
 "Host does not support domain type '%(domain)s' for virtualization type '%"
 "(virttype)s' arch '%(arch)s'"
 msgstr ""
+"La machine hôte ne supporte pas le type de domaine « %(domain)s » pour la "
+"virtualisation de type « %(virttype)s » et l'architecture « %(arch)s »"
 
 #: virtinst/cli.py:204
-#, fuzzy
 msgid "Exiting at user request."
-msgstr ""
-"Les installations NFS ne sont prises en charge que par le superutilisateur"
+msgstr "Sortie sur demande de l'utilisateur"
 
 #: virtinst/cli.py:211
-#, fuzzy
 msgid "Must be root to create Xen guests"
-msgstr "Il faut être superutilisateur pour cloner des invités Xen"
+msgstr "Il faut être superutilisateur pour créer des invités Xen"
 
 #: virtinst/cli.py:349
 msgid "(use --prompt to run interactively)"
-msgstr ""
+msgstr "(utilisez --prompt pour démarrer en mode interactif)"
 
 #: virtinst/cli.py:375
 msgid " (Use --prompt or --force to override)"
-msgstr ""
+msgstr " (Utilisez --prompt ou --force pour surcharger)"
 
 #: virtinst/cli.py:414
 msgid "Graphics Configuration"
-msgstr ""
+msgstr "Configuration graphique"
 
 #: virtinst/cli.py:416
 msgid "Use VNC for graphics support"
@@ -80,12 +83,11 @@
 
 #: virtinst/cli.py:420
 msgid "Address to listen on for VNC connections."
-msgstr ""
+msgstr "Adresse d'écoute pour les connections VNC."
 
 #: virtinst/cli.py:423
-#, fuzzy
 msgid "set up keymap for the VNC console"
-msgstr "Configurer un clavier pour une console graphique"
+msgstr "configurer un mappage clavier pour la console VNC"
 
 #: virtinst/cli.py:425
 msgid "Use SDL for graphics support"
@@ -96,14 +98,13 @@
 msgstr "Ne pas configurer de console graphique pour l'invité."
 
 #: virtinst/cli.py:451
-#, fuzzy
 msgid "A disk path must be specified."
-msgstr "Un emplacement depuis lequel installer doit être spécifié"
+msgstr "Un chemin de disque doit être spécifié."
 
 #: virtinst/cli.py:453
-#, fuzzy, python-format
+#, python-format
 msgid "A disk path must be specified to clone '%s'."
-msgstr "Un emplacement depuis lequel installer doit être spécifié"
+msgstr "Un chemin de disque doit être spécifié pour cloner « %s »."
 
 #: virtinst/cli.py:457
 msgid "What would you like to use as the disk (file path)?"
@@ -119,7 +120,6 @@
 "utiliser pour le stockage. Il aura une taille de %s Go."
 
 #: virtinst/cli.py:469
-#, fuzzy
 msgid "A size must be specified for non-existent disks."
 msgstr "Une taille doit être spécifiée pour les disques qui n'existent pas."
 
@@ -131,82 +131,80 @@
 #: virtinst/cli.py:492 virt-install:423
 #, python-format
 msgid "Error with storage parameters: %s"
-msgstr ""
+msgstr "Erreur avec les paramètres de stockage : %s"
 
 #: virtinst/cli.py:494
-#, fuzzy
 msgid "Do you really want to use this disk (yes or no)"
-msgstr "Voulez-vous vraiment utiliser le disque (« yes » ou « no ») ? "
+msgstr "Voulez-vous vraiment utiliser le disque (« yes » ou « no »)"
 
 #: virtinst/cli.py:499
 #, python-format
 msgid "This will overwrite the existing path '%s'"
-msgstr ""
+msgstr "Cela va écraser le chemin existant « %s »"
 
 #: virtinst/cli.py:506
-#, fuzzy, python-format
+#, python-format
 msgid "Disk %s is already in use by another guest"
-msgstr "Le disque %s est déjà en cours d'utilisation par un autre invité !\n"
+msgstr "Le disque %s est déjà en cours d'utilisation par un autre invité"
 
 #: virtinst/cli.py:533
 msgid "What is the name of your virtual machine?"
 msgstr "Quel est le nom de votre machine virtuelle ?"
 
 #: virtinst/cli.py:534
-#, fuzzy
 msgid "A name is required for the virtual machine."
-msgstr "Quel est le nom de la machine virtuelle clonée ?"
+msgstr "Un nom est requis pour la machine virtuelle."
 
 #: virtinst/cli.py:541
 msgid "How much RAM should be allocated (in megabytes)?"
 msgstr "Quelle quantité de RAM devrait être allouée (en Mo) ?"
 
 #: virtinst/cli.py:542
-#, fuzzy
 msgid "Memory amount is required for the virtual machine."
-msgstr "Quel est le nom de la machine virtuelle clonée ?"
+msgstr "La quantité de mémoire est requise pour la machine virtuelle."
 
 #: virtinst/cli.py:546
-#, fuzzy, python-format
+#, python-format
 msgid "Installs currently require %d megs of RAM."
-msgstr "ERREUR : les installations exigent actuellement %d Mo de RAM."
+msgstr "Les installations exigent actuellement %d Mo de RAM."
 
 #: virtinst/cli.py:567
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "You have asked for more virtual CPUs (%d) than there are physical CPUs (%d) "
 "on the host. This will work, but performance will be poor. "
 msgstr ""
 "Vous avez demandé à avoir plus d'UC virtuelles (%d) qu'il n'y a d'UC "
 "physiques (%d) sur l'hôte. Ceci peut fonctionner, mais les performances "
-"seront faibles. Êtes-vous certains de vouloir continuer ? (« yes » ou « no »)"
+"seront faibles."
 
 #: virtinst/cli.py:570
 msgid "Are you sure? (yes or no)"
-msgstr ""
+msgstr "Êtes-vous certains? (« yes » ou « no »)"
 
 #: virtinst/cli.py:681
-#, fuzzy, python-format
+#, python-format
 msgid "Unknown network option '%s'"
-msgstr "Type de réseau %s inconnu"
+msgstr "Option de réseau « %s » inconnue"
 
 #: virtinst/cli.py:699
 msgid "Cannot mix both --bridge and --network arguments"
 msgstr "Impossible de mélanger les arguments de --bridge et de --network"
 
 #: virtinst/cli.py:714
-#, fuzzy
 msgid "Cannot pass more mac addresses than networks."
-msgstr "Impossible de mélanger les arguments de --bridge et de --network"
+msgstr "Impossible de passer plus d'adresses MAC que d'adresses de réseaux."
 
 #: virtinst/cli.py:744
 msgid "Can't specify more than one of VNC, SDL, or --nographics"
-msgstr ""
+msgstr "Vous ne pouvez définir plus d'un VNC, SDL ou --nographics"
 
 #: virtinst/cli.py:789
 #, python-format
 msgid "Didn't match keymap '%s' in keytable!"
 msgstr ""
+"Le mappage clavier « %s » ne correspond à aucun enregistrement dans la table "
+"des clés."
 
 #: virtinst/cli.py:819 virtinst/cli.py:824
 #, python-format
@@ -215,12 +213,11 @@
 
 #: virtinst/CloneManager.py:109
 msgid "Connection must be a 'virConnect' instance."
-msgstr ""
+msgstr "La connexion doit être une instance « virConnect »."
 
 #: virtinst/CloneManager.py:163
-#, fuzzy
 msgid "Original xml must be a string."
-msgstr "UUID doit être une chaîne de caractères."
+msgstr "Le XML originel doit être une chaîne de caractères."
 
 #: virtinst/CloneManager.py:178
 #, python-format
@@ -228,9 +225,9 @@
 msgstr "Nom invalide pour le nouvel invité : %s"
 
 #: virtinst/CloneManager.py:183
-#, fuzzy, python-format
+#, python-format
 msgid "Domain name '%s' already in use."
-msgstr "Le domaine de nom %s existe déjà !"
+msgstr "Le nom de domaine « %s » est déjà utilisé."
 
 #: virtinst/CloneManager.py:196
 #, python-format
@@ -238,27 +235,28 @@
 msgstr "UUID invalide pour le nouvel invité : %s"
 
 #: virtinst/CloneManager.py:199
-#, fuzzy, python-format
+#, python-format
 msgid "UUID '%s' is in use by another guest."
-msgstr "Le disque %s est déjà en cours d'utilisation par un autre invité !\n"
+msgstr "L'UUID « %s » est déjà utilisé par une autre machine virtuelle."
 
 #: virtinst/CloneManager.py:226
 #, python-format
 msgid "Could not use path '%s' for cloning: %s"
-msgstr ""
+msgstr "Impossible d'utiliser le chemin « %s » pour cloner : %s"
 
 #: virtinst/CloneManager.py:364
 msgid "Cloning policy must be a list of rules."
-msgstr ""
+msgstr "La politique de clonage doit être une liste de règles."
 
 #: virtinst/CloneManager.py:390
-#, fuzzy
 msgid "Original guest name or xml is required."
-msgstr "Le nom du réseau n'est pas requis pour %s"
+msgstr "Le nom originel de la machine virtuelle ou son XML sont requis."
 
 #: virtinst/CloneManager.py:409
 msgid "Domain with devices to clone must be paused or shutoff."
 msgstr ""
+"Les domaines avec des périphériques à cloner doivent être en pause ou "
+"arrêtés."
 
 #: virtinst/CloneManager.py:466
 #, python-format
@@ -266,54 +264,55 @@
 "More disks to clone than new paths specified. (%(passed)d specified, %(need)"
 "d needed"
 msgstr ""
+"Plus de disques à cloner que de nouveaux chemins ont été définit (%(passed)d "
+"définis, %(need)d attendus"
 
 #: virtinst/CloneManager.py:589
-#, fuzzy, python-format
+#, python-format
 msgid "Disk '%s' does not exist."
-msgstr "Le disque système %s n'existe pas"
+msgstr "Le disque « %s » n'existe pas."
 
 #: virtinst/CloneManager.py:602
-#, fuzzy, python-format
+#, python-format
 msgid "Could not determine original disk information: %s"
-msgstr "Impossible de déterminer le chemin d'accès au RPM du noyau"
+msgstr "Impossible de déterminer l'information originelle du disque : %s"
 
 #: virtinst/CloneManager.py:647
-#, fuzzy, python-format
+#, python-format
 msgid "Domain '%s' was not found."
-msgstr "Le domaine %s est introuvable"
+msgstr "Le domaine « %s » n'a pas été trouvé."
 
 #: virtinst/DistroInstaller.py:61
 msgid "Invalid NFS format: No path specified."
-msgstr ""
+msgstr "Format NFS invalide : pas de chemin définit."
 
 #: virtinst/DistroInstaller.py:98
-#, fuzzy, python-format
+#, python-format
 msgid "Invalid 'location' type %s."
-msgstr "L'URL de l'emplacement est invalide : %s %s"
+msgstr "L'élément « location » de type « %s » est invalide."
 
 #: virtinst/DistroInstaller.py:104
-#, fuzzy
 msgid "'conn' must be specified if 'location' is a storage tuple."
-msgstr "Un emplacement depuis lequel installer doit être spécifié"
+msgstr "« conn » doit être spécifié si « location » est un tuple de stockage"
 
 #: virtinst/DistroInstaller.py:142
-#, fuzzy, python-format
+#, python-format
 msgid "Checking installer location failed: Could not find media '%s'."
-msgstr "L'installation de l'invité a échoué"
+msgstr ""
+"La vérification de l'emplacement de l'installeur a échoué : Impossible de "
+"trouver le média « %s »."
 
 #: virtinst/DistroInstaller.py:145
-#, fuzzy
 msgid ""
 "Install media location must be an NFS, HTTP or FTP network install source, "
 "or an existing file/device"
 msgstr ""
 "L'emplacement du média d'installation doit être une source réseau NFS, HTTP "
-"ou FTP, ou un fichier ou un périphérique local existant"
+"ou FTP, ou un fichier ou un périphérique existant"
 
 #: virtinst/DistroInstaller.py:152
-#, fuzzy
 msgid "Privilege is required for NFS installations"
-msgstr "Quel est le nom de la machine virtuelle clonée ?"
+msgstr "Des privilèges sont nécessaires pour les installations NFS"
 
 #: virtinst/Guest.py:50
 msgid "cpuset must be string"
@@ -335,15 +334,17 @@
 
 #: virtinst/Guest.py:127
 msgid "No topology section in capabilities xml."
-msgstr ""
+msgstr "Pas de section topologie dans le XML des fonctionnalités."
 
 #: virtinst/Guest.py:131
 msgid "Capabilities only show <= 1 cell. Not NUMA capable"
 msgstr ""
+"Les fonctionnalités uniquement affichées ne doivent pas dépasser une "
+"cellule. Pas de fonctionnalités NUMA"
 
 #: virtinst/Guest.py:158
 msgid "Could not find any usable NUMA cell/cpu combinations."
-msgstr ""
+msgstr "Impossible de trouver une cellule ou une combinaisons CPU NUMA."
 
 #: virtinst/Guest.py:181
 msgid "Unable to connect to hypervisor, aborting installation!"
@@ -351,12 +352,12 @@
 
 #: virtinst/Guest.py:274
 msgid "Guest"
-msgstr ""
+msgstr "Invité"
 
 #: virtinst/Guest.py:286
-#, fuzzy, python-format
+#, python-format
 msgid "Guest name '%s' is already in use."
-msgstr "Le disque %s est déjà en cours d'utilisation par un autre invité !\n"
+msgstr "Le nom d'invité « %s » est déjà utilisé."
 
 #: virtinst/Guest.py:296
 msgid "Memory value must be an integer greater than 0"
@@ -367,46 +368,47 @@
 msgstr "La valeur de la mémoire maximale doit être un entier supérieur à 0"
 
 #: virtinst/Guest.py:327
-#, fuzzy
 msgid "Number of vcpus must be a postive integer."
-msgstr "Le nombre d'UC virtuelles doit être compris entre 1 et %d"
+msgstr "Le nombre d'UC virtuelles doit être un entier positif."
 
 #: virtinst/Guest.py:329
-#, fuzzy, python-format
+#, python-format
 msgid "Number of vcpus must be no greater than %d for this vm type."
-msgstr "Le nombre d'UC virtuelles doit être compris entre 1 et %d"
+msgstr ""
+"Le nombre d'UC virtuelles ne doit pas dépasser %d pour ce type de machine "
+"virtuelle."
 
 #: virtinst/Guest.py:361
-#, fuzzy
 msgid "OS type must be a string."
-msgstr "« Keymap » doit être une chaîne de caractères"
+msgstr "Le type de système d'exploitation doit être une chaîne de caractères."
 
 #: virtinst/Guest.py:370
-#, fuzzy, python-format
+#, python-format
 msgid "OS type '%s' does not exist in our dictionary"
-msgstr "Le type de SE %s n'existe pas dans le dictionnaire"
+msgstr ""
+"Le type de système d'exploitation « %s » n'existe pas dans le dictionnaire"
 
 #: virtinst/Guest.py:379
-#, fuzzy
 msgid "OS variant must be a string."
-msgstr "UUID doit être une chaîne de caractères."
+msgstr ""
+"Le variant de système d'exploitation doit être une chaîne de caractères."
 
 #: virtinst/Guest.py:386
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "OS variant '%(var)s' does not exist in our dictionary for OS type '%(ty)s'"
 msgstr ""
-"La variante du SE %(var)s n'existe pas dans le dictionnaire pour le type de "
-"SE %(type)s"
+"La variante du système d'exploitation « %(var)s » n'existe pas le "
+"dictionnaire pour le type de système d'exploitation « %(ty)s »"
 
 #: virtinst/Guest.py:401
 #, python-format
 msgid "Unknown OS variant '%s'"
-msgstr ""
+msgstr "La variante du système d'exploitation « %s » est inconnue."
 
 #: virtinst/Guest.py:434
 msgid "Whether we should overwrite an existing guest with the same name."
-msgstr ""
+msgstr "Il faut que nous écrasions un invité existant avec le même nom."
 
 #: virtinst/Guest.py:471
 msgid "Must specify whether graphics are enabled"
@@ -418,12 +420,12 @@
 
 #: virtinst/Guest.py:577
 msgid "Must pass a VirtualDevice instance."
-msgstr ""
+msgstr "Il faut passer une instance d'une VirtualDevice."
 
 #: virtinst/Guest.py:661
 #, python-format
 msgid "Did not find device %s"
-msgstr ""
+msgstr "Le périphérique %s n'a pas été trouvé"
 
 #: virtinst/Guest.py:940
 msgid "Domain has already been started!"
@@ -440,9 +442,8 @@
 "invité !"
 
 #: virtinst/Guest.py:1034
-#, fuzzy
 msgid "Starting domain..."
-msgstr "Création du domaine..."
+msgstr "Démarrage du domaine..."
 
 #: virtinst/Guest.py:1087
 msgid "Creating domain..."
@@ -472,7 +473,7 @@
 #: virtinst/Guest.py:1158
 #, python-format
 msgid "Could not remove old vm '%s': %s"
-msgstr ""
+msgstr "Impossible de retirer l'ancienne machine virtuelle « %s » : %s"
 
 #: virtinst/ImageFetcher.py:88
 #, python-format
@@ -482,25 +483,25 @@
 #: virtinst/ImageFetcher.py:90
 #, python-format
 msgid "Couldn't acquire file %s: %s"
-msgstr ""
+msgstr "Impossible d'obtenir le fichier %s : %s"
 
 #: virtinst/ImageFetcher.py:112
-#, fuzzy, python-format
+#, python-format
 msgid "Opening URL %s failed."
 msgstr "L'ouverture de l'URL %s a échoué."
 
 #: virtinst/ImageFetcher.py:189
-#, fuzzy, python-format
+#, python-format
 msgid "Mounting location '%s' failed"
-msgstr "Le montage de l'emplacement %s a échoué"
+msgstr "Le montage de l'emplacement « %s » a échoué"
 
 #: virtinst/ImageInstaller.py:46
 msgid "'capabilities' must be a Capabilities instance."
-msgstr ""
+msgstr "L'élément « capabilities » doit être une instance de Capabilities."
 
 #: virtinst/ImageInstaller.py:50
 msgid "'conn' or 'capabilities' must be specified."
-msgstr ""
+msgstr "« conn » ou « capabilities » doit être spécifié."
 
 #: virtinst/ImageInstaller.py:57
 msgid "Could not find suitable boot descriptor for this host"
@@ -509,12 +510,12 @@
 
 #: virtinst/ImageInstaller.py:62
 msgid "boot_index out of range."
-msgstr ""
+msgstr "boot_index est hors de la plage."
 
 #: virtinst/ImageInstaller.py:69
 #, python-format
 msgid "Unsupported virtualization type: %s %s"
-msgstr ""
+msgstr "Type de virtualisation non supporté : %s %s"
 
 #: virtinst/ImageInstaller.py:134
 #, python-format
@@ -543,17 +544,18 @@
 #: virtinst/ImageParser.py:263
 #, python-format
 msgid "Checking disk signature for %s"
-msgstr ""
+msgstr "Vérification de la signature du disque pour %s"
 
 #: virtinst/ImageParser.py:276
 #, python-format
 msgid "Disk signature for %s does not match Expected: %s  Received: %s"
 msgstr ""
+"La signature du disque pour %s ne correspond pas. Attendu : %s. Reçu : %s"
 
 #: virtinst/ImageParser.py:279
-#, fuzzy, python-format
+#, python-format
 msgid "Disk signature for %s does not match"
-msgstr "L'entrée correspondant au disque « %s » est introuvable"
+msgstr "La signature du disque pour %s ne correspond pas"
 
 #: virtinst/ImageParser.py:318
 msgid "Root element is not 'image'"
@@ -575,9 +577,8 @@
 "tuple."
 
 #: virtinst/Installer.py:387
-#, fuzzy
 msgid "A connection must be specified."
-msgstr "Un emplacement depuis lequel installer doit être spécifié"
+msgstr "Une connexion doit être spécifiée."
 
 #: virtinst/Installer.py:405
 #, python-format