--- for_use_firewalld_master_fr.po	2012-10-10 16:04:55.477117997 +0200
+++ for_use_firewalld_master_fr1.po	2012-10-14 13:05:11.000000000 +0200
@@ -20,22 +20,22 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: firewalld\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2012-09-07 13:37+0200\n"
-"PO-Revision-Date: 2012-09-29 13:42+0000\n"
-"Last-Translator: Jérôme Fenal <jfenal@gmail.com>\n"
+"PO-Revision-Date: 2012-10-14 13:04+0100\n"
+"Last-Translator: Bribanick Dominique <chepioq@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: ../config/firewall-applet.desktop.in.h:1 ../src/firewall-applet:56
 msgid "Firewall Applet"
-msgstr ""
+msgstr "Applet pare-feu"
 
 #: ../config/firewall-config.desktop.in.h:1
 msgid "Firewall"
 msgstr "Pare-feu"
 
@@ -44,193 +44,199 @@
 msgstr "Configuration du pare-feu"
 
 #: ../src/firewall/core/io/io_object.py:148
 #, python-format
 msgid "Unexpected element '%s'"
-msgstr ""
+msgstr "Élément inattendu « %s »"
 
 #: ../src/firewall/core/io/io_object.py:155
 #, python-format
 msgid "Element '%s': missing '%s' attribute"
-msgstr ""
+msgstr "Élément « %s » : attribut « %s » manquant"
 
 #: ../src/firewall/core/io/io_object.py:163
 #, python-format
 msgid "Element '%s': unexpected attribute '%s'"
-msgstr ""
+msgstr "Élément « %s » : attribut « %s » inattendu"
 
 #: ../src/firewalld:43
 #, c-format
 msgid "Usage: %s [-h|--help] [--debug[=<level>]] [--nofork]"
-msgstr ""
+msgstr "Usage : %s [-h|--help] [--debug[=<level>]] [--nofork]"
 
 #: ../src/firewalld:49
 #, c-format
 msgid "You need to be root to run %s."
-msgstr ""
+msgstr "Vous devez être administrateur pour lancer %s."
 
 #: ../src/firewalld:65
 #, c-format
 msgid "Unknown option '%s'"
-msgstr ""
+msgstr "Option « %s » inconnue"
 
 #: ../src/firewalld:92
 msgid "Not starting FirewallD, already running."
-msgstr ""
+msgstr "Ne pas lancer FirewallD, il est déjà en cours d'exécution."
 
 #: ../src/firewalld:120
 #, c-format
 msgid "Fork #1 failed: %d (%s)"
-msgstr ""
+msgstr "Échec du clone #1: %d (%s)"
 
 #: ../src/firewall-applet:99
 msgid "Shields Up"
-msgstr ""
+msgstr "Protections activées"
 
 #: ../src/firewall-applet:110
 msgid "Enable Notifications"
-msgstr ""
+msgstr "Activer les notifications"
 
 #: ../src/firewall-applet:123
 msgid "Edit Firewall Settings..."
-msgstr ""
+msgstr "Afficher les paramètres du pare-feu ..."
 
 #: ../src/firewall-applet:130
 msgid "Configure Shields UP/Down Zones..."
-msgstr ""
+msgstr "Configurer les zones de protections actives et inactives..."
 
 #: ../src/firewall-applet:138
 msgid "Block all network traffic"
-msgstr ""
+msgstr "Bloquer tout le trafic réseau"
 
 #: ../src/firewall-applet:165
 msgid "Configure Shields Up/Down Zones"
-msgstr ""
+msgstr "Configurer les zones de protections actives et inactives"
 
 #: ../src/firewall-applet:176
 msgid "Here you can select the zones used for Shields Up and Shields Down."
-msgstr ""
+msgstr "Vous pouvez choisir ici les zones de protections actives ou inactives."
 
 #: ../src/firewall-applet:184
 msgid ""
 "This feature is useful for people using the default zones mostly. For users,"
 " that are changing zones of connections, it might be of limited use."
 msgstr ""
+"Cette fonction est utile pour ceux qui utilisent les zones par défaut. Pour les utilisateurs "
+"qui modifient leurs zones de connexions, cela pourrait être limité."
 
 #: ../src/firewall-applet:199
 msgid "Shields Up Zone:"
-msgstr ""
+msgstr "Zone de protection active :"
 
 #: ../src/firewall-applet:210
 msgid "Shields Down Zone:"
-msgstr ""
+msgstr "Zone de protection inactive :"
 
 #: ../src/firewall-applet:249
 msgid "Not using slip"
-msgstr ""
+msgstr "Ne pas utiliser le déplacement"
 
 #: ../src/firewall-applet:324
 msgid "Connection to FirewallD established."
-msgstr ""
+msgstr "La connexion vers FirewallD est établie."
 
 #: ../src/firewall-applet:332
 msgid "Connection to FirewallD lost."
-msgstr ""
+msgstr "La connexion vers FirewallD a été perdue."
 
 #: ../src/firewall-applet:370
 msgid "FirewallD has been reloaded."
-msgstr ""
+msgstr "FirewallD a été rechargé"
 
 #: ../src/firewall-applet:448
 msgid "No connection to firewall daemon"
-msgstr ""
+msgstr "Pas de connexion au démon du pare-feu"
 
 #: ../src/firewall-applet:454
 msgid "PANIC MODE"
-msgstr ""
+msgstr "MODE PANIQUE"
 
 #: ../src/firewall-applet:466
 msgid ""
 "Zone '{zone}' active for connection '{connection}' on interface "
 "'{interface}'"
 msgstr ""
+"Zone « {zone} » active pour la connexion  « {connexion} » sur l'interface "
+"« {interface} »"
 
 #: ../src/firewall-applet:469
 msgid "Zone '{zone}' active for interface '{interface}'"
-msgstr ""
+msgstr "Zone « {zone} » active pour l'interface « {interface} »"
 
 #: ../src/firewall-applet:477
 msgid "No Active Zones."
-msgstr ""
+msgstr "Zones inactives."
 
 #: ../src/firewall-applet:483
 #, c-format
 msgid "Default zone changed to '%s'."
-msgstr ""
+msgstr "La zone par défaut est modifiée vers « %s »."
 
 #: ../src/firewall-applet:498
 msgid "All network traffic is blocked."
-msgstr ""
+msgstr "Tous le trafic réseau est bloqué."
 
 #: ../src/firewall-applet:499
 msgid "Network traffic is not blocked anymore."
-msgstr ""
+msgstr "Le trafic réseau n'est plus bloqué."
 
 #: ../src/firewall-applet:526
 msgid "activated"
-msgstr ""
+msgstr "activé"
 
 #: ../src/firewall-applet:527
 msgid "deactivated"
-msgstr ""
+msgstr "désactivé"
 
 #: ../src/firewall-applet:530
 msgid ""
 "Zone '{zone}' {activated_deactivated} for connection '{connection}' on "
 "interface '{interface}'"
 msgstr ""
+"Zone « {zone} » {activée_désactivée} pour la connexion « {connexion} » sur "
+"l'interface « {interface} »"
 
 #: ../src/firewall-applet:535
 msgid "Zone '{zone}' {activated_deactivated} for interface '{interface}'"
-msgstr ""
+msgstr "Zone « {zone} » {activée_désactivée} pour l'interface « {interface} »"
 
 #: ../src/firewall-applet:560
 #, c-format
 msgid "Zone '%s' activated for interface '%s'"
-msgstr ""
+msgstr "La zone « %s » est activée pour l'interface « %s »"
 
 #: ../src/firewall-applet:591
 msgid "Firewall-applet"
-msgstr ""
+msgstr "Applet pare-feu"
 
 #: ../src/firewall-config:56
 msgid "Connected."
-msgstr ""
+msgstr "Connecté"
 
 #: ../src/firewall-config:57
 msgid "No connection."
-msgstr ""
+msgstr "Pas de connexion"
 
 #: ../src/firewall-config:58
 msgid "Waiting ..."
-msgstr ""
+msgstr "En attente..."
 
 #: ../src/firewall-config:59
 msgid "Retrying ..."
-msgstr ""
+msgstr "Nouvelle tentative..."
 
 #: ../src/firewall-config:69
 msgid "Failed to load icons."
-msgstr ""
+msgstr "Impossible de charger les icônes."
 
 #: ../src/firewall-config:107 ../src/firewall-config:755
 msgid "Runtime Configuration"
-msgstr ""
+msgstr "Exécution de la configuration"
 
 #: ../src/firewall-config:108
 msgid "Persistent Configuration"
-msgstr ""
+msgstr "Configuration permanente"
 
 #: ../src/firewall-config:165 ../src/firewall-config.glade.h:81
 msgid "Service"
 msgstr "Service"
 
@@ -252,11 +258,11 @@
 msgid "To Address"
 msgstr "Vers l'adresse"
 
 #: ../src/firewall-config:245
 msgid "Icmp Type"
-msgstr ""
+msgstr "Type d'Icmp"
 
 #: ../src/firewall-config:446
 msgid "Warning"
 msgstr "Avertissement"
 
@@ -268,23 +274,23 @@
 msgid "Retry"
 msgstr "Réessayer"
 
 #: ../src/firewall-config:475
 msgid "Authorization failed."
-msgstr ""
+msgstr "Échec de l'autorisation"
 
 #: ../src/firewall-config:966
 msgid "Built-in zone, rename not supported."
-msgstr ""
+msgstr "Zone intégrée, le renommage n'est pas pris en charge."
 
 #: ../src/firewall-config:1575
 msgid "Built-in service, rename not supported."
-msgstr ""
+msgstr "Service intégré, le renommage n'est pas pris en charge."
 
 #: ../src/firewall-config:1918
 msgid "Built-in icmp, rename not supported."
-msgstr ""
+msgstr "Icmp intégré, le renommage n'est pas pris en charge."
 
 #: ../src/firewall-config.glade.h:1
 msgid "Address"
 msgstr "Adresse"
 
@@ -292,29 +298,31 @@
 msgid "Address:"
 msgstr "Adresse :"
 
 #: ../src/firewall-config.glade.h:3
 msgid "System Default Zone"
-msgstr ""
+msgstr "Zone par défaut du système"
 
 #: ../src/firewall-config.glade.h:4
 msgid "Please select the system default zone from the list below."
-msgstr ""
+msgstr "Veuillez sélectionner la zone par défaut du système dans la liste suivante."
 
 #: ../src/firewall-config.glade.h:5
 msgid "Zone is immutable, no customization possible."
-msgstr ""
+msgstr "La zone est immuable, pas de personnalisation possible."
 
 #: ../src/firewall-config.glade.h:6
 msgid "Builtin, remove not possible."
-msgstr ""
+msgstr "Incorporé, la suppression n'est pas possible."
 
 #: ../src/firewall-config.glade.h:7
 msgid ""
 "If you remove system settings, the default configuration will be used after "
 "reload or restart."
 msgstr ""
+"Si vous supprimez les paramètres du système, la configuration par défaut sera utilisée "
+"après le rechargement ou le redémarrage."
 
 #: ../src/firewall-config.glade.h:8
 msgid "Port Forwarding"
 msgstr "Réacheminement de port"
 
@@ -357,19 +365,19 @@
 " be different to the source port."
 msgstr "Si vous activez le réacheminement local, vous devez spécifier un port. Ce port doit être différent du port source."
 
 #: ../src/firewall-config.glade.h:18
 msgid "Base ICMP Type Settings"
-msgstr ""
+msgstr "Paramètres de base du type d'ICMP"
 
 #: ../src/firewall-config.glade.h:19
 msgid "Please configure base ICMP type settings:"
-msgstr ""
+msgstr "Veuillez configurer les paramètres de base du type d'ICMP :"
 
 #: ../src/firewall-config.glade.h:20
 msgid "Bold entries are mandatory, all others are optional."
-msgstr ""
+msgstr "Les entrées en gras sont obligatoires, les autres sont optionnelles."
 
 #: ../src/firewall-config.glade.h:21
 msgid "Name:"
 msgstr "Nom :"
 
@@ -377,49 +385,51 @@
 msgid "Version:"
 msgstr "Version :"
 
 #: ../src/firewall-config.glade.h:23
 msgid "Short:"
-msgstr ""
+msgstr "Court :"
 
 #: ../src/firewall-config.glade.h:24
 msgid "Description:"
 msgstr "Description :"
 
 #: ../src/firewall-config.glade.h:25
 msgid "ICMP Type Settings"
-msgstr ""
+msgstr "Paramètres du type d'ICMP"
 
 #: ../src/firewall-config.glade.h:26
 msgid "Here you can configure the ICMP type settings used in zones."
-msgstr ""
+msgstr "Vous pouvez configurer ici les paramètres du type d'ICMP utilisé dans les zones."
 
 #: ../src/firewall-config.glade.h:27
 msgid "ICMP Type"
 msgstr "Type ICMP"
 
 #: ../src/firewall-config.glade.h:28
 msgid "Add ICMP Type"
-msgstr ""
+msgstr "Ajoutez un type d'ICMP"
 
 #: ../src/firewall-config.glade.h:29
 msgid "Edit ICMP Type"
-msgstr ""
+msgstr "Affichez le type d'ICMP"
 
 #: ../src/firewall-config.glade.h:30
 msgid "Remove ICMP Type"
-msgstr ""
+msgstr "Supprimez le type d'ICMP"
 
 #: ../src/firewall-config.glade.h:31
 msgid "Load ICMP Type Defaults"
-msgstr ""
+msgstr "Chargez le type d'ICMP par défaut"
 
 #: ../src/firewall-config.glade.h:32
 msgid ""
 "If you specify destination addresses, the ICMP Type entry will be limited to"
 " the destination."
 msgstr ""
+"Si vous spécifiez des adresses de destination, l'entrée de type d'ICMP sera limitée "
+"à cette destination."
 
 #: ../src/firewall-config.glade.h:33
 msgid "IPv4"
 msgstr "IPv4"
 
@@ -435,64 +445,69 @@
 msgid "_Options"
 msgstr "_Options"
 
 #: ../src/firewall-config.glade.h:38
 msgid "Reload Firewalld"
-msgstr ""
+msgstr "Recharger Firewalld"
 
 #: ../src/firewall-config.glade.h:39
 msgid "Change Default Zone"
-msgstr ""
+msgstr "Modifier la zone par défaut"
 
 #: ../src/firewall-config.glade.h:40
 msgid "Edit Services"
-msgstr ""
+msgstr "Afficher les services"
 
 #: ../src/firewall-config.glade.h:41
 msgid "Edit ICMP Types"
-msgstr ""
+msgstr "Afficher les types ICMP"
 
 #: ../src/firewall-config.glade.h:42
 msgid "_Help"
 msgstr "_Aide"
 
 #: ../src/firewall-config.glade.h:43
 msgid ""
 "Reloads firewalld: Current persistent configuration will become the new "
 "runtime configuration."
 msgstr ""
+"Rechargement de firewalld : la configuration persistante deviendra la nouvelle "
+"configuration d'exécution."
 
 #: ../src/firewall-config.glade.h:44
 msgid "Change default zone of the system."
-msgstr ""
+msgstr "Modifier la zone par défaut su système"
 
 #: ../src/firewall-config.glade.h:45
 msgid "Edit service entries for use in zones."
-msgstr ""
+msgstr "Affichez les entrées de service à utiliser dans la zone."
 
 #: ../src/firewall-config.glade.h:46
 msgid "Edit ICMP types for use as ICMP blocks in zones."
-msgstr ""
+msgstr "Affichez les types d'ICMP à utiliser en tant que blocs ICMP dans les zones."
 
 #: ../src/firewall-config.glade.h:47
 msgid "Current View:"
-msgstr ""
+msgstr "Affichage actuel :"
 
 #: ../src/firewall-config.glade.h:48
 msgid ""
 "Currently visible configuration. Runtime configuration is the actual active "
 "configuration. Persistent configuration will be active after service or "
 "system reload or restart."
 msgstr ""
+"Configuration actuelle. La configuration d'exécution est celle active en ce moment. "
+"La configuration persistante sera activée après que le service ou le système ait été "
+"rechargé ou redémarré."
 
 #: ../src/firewall-config.glade.h:49
 msgid "Default Zone:"
 msgstr "Zone par défaut :"
 
 #: ../src/firewall-config.glade.h:50
 msgid "Current default zone of the system."
-msgstr ""
+msgstr "Zone actuelle par défaut du système."
 
 #: ../src/firewall-config.glade.h:51
 msgid "Zone"
 msgstr "Zone"
 
@@ -508,11 +523,11 @@
 msgid "Remove Zone"
 msgstr "Supprimer une zone"
 
 #: ../src/firewall-config.glade.h:55
 msgid "Load Zone Defaults"
-msgstr ""
+msgstr "Charger les zones par défaut"
 
 #: ../src/firewall-config.glade.h:56
 msgid ""
 "Here you can define which services are trusted. Trusted services are "
 "accessible from all hosts and networks."
@@ -551,17 +566,19 @@
 "hosts appear as a single address on the internet. Masquerading is IPv4 only."
 msgstr "La translation d'adresses est très utile si vous configurez un hôte ou un routeur qui connecte votre réseau local à Internet. Votre réseau local ne sera pas visible et vos hôtes apparaîtront sous une adresse unique sur Internet. La translation d'adresse est une spécificité d'IPv4."
 
 #: ../src/firewall-config.glade.h:64
 msgid "Masquerade zone"
-msgstr ""
+msgstr "Zone de translation d'adresse"
 
 #: ../src/firewall-config.glade.h:65
 msgid ""
 "If you enable masquerading, IP forwarding will be enabled for your IPv4 "
 "networks."
 msgstr ""
+"Si vous activez la translation d'adresse, le réacheminement de l'IP sera activé "
+"pour votre réseau IPV4"
 
 #: ../src/firewall-config.glade.h:66
 msgid "Masquerading"
 msgstr "Translation d'adresses"
 
@@ -594,73 +611,75 @@
 msgid "Port and Protocol"
 msgstr "Port et protocole"
 
 #: ../src/firewall-config.glade.h:72
 msgid "Please enter the module name."
-msgstr ""
+msgstr "Veuillez saisir le nom du module"
 
 #: ../src/firewall-config.glade.h:73
 msgid "Please enter a port and protocol."
-msgstr ""
+msgstr "Veuillez saisir un port et un protocole."
 
 #: ../src/firewall-config.glade.h:74
 msgid "Port and/or Protocol"
-msgstr ""
+msgstr "Port et/ou protocole"
 
 #: ../src/firewall-config.glade.h:75
 msgid "Please enter a port and/or a protocol."
-msgstr ""
+msgstr "Veuillez saisir un port et/ou un protocole."
 
 #: ../src/firewall-config.glade.h:76
 msgid "Other Protocol:"
-msgstr ""
+msgstr "Autres protocoles :"
 
 #: ../src/firewall-config.glade.h:77
 msgid "Base Service Settings"
-msgstr ""
+msgstr "Paramètres du service de base"
 
 #: ../src/firewall-config.glade.h:78
 msgid "Please configure base service settings:"
-msgstr ""
+msgstr "Veuillez configurer les paramètres du service de base :"
 
 #: ../src/firewall-config.glade.h:79
 msgid "Service Settings"
 msgstr "Configuration des services"
 
 #: ../src/firewall-config.glade.h:80
 msgid "Here you can configure the services settings used in zones."
-msgstr ""
+msgstr "Vous pouvez configurer ici les paramètres des services utilisés dans la zone."
 
 #: ../src/firewall-config.glade.h:82
 msgid "Add Service"
-msgstr ""
+msgstr "Ajouter un service"
 
 #: ../src/firewall-config.glade.h:83
 msgid "Edit Service"
-msgstr ""
+msgstr "Éditer un service"
 
 #: ../src/firewall-config.glade.h:84
 msgid "Remove Service"
-msgstr ""
+msgstr "Supprimer un service"
 
 #: ../src/firewall-config.glade.h:85
 msgid "Load Service Defaults"
-msgstr ""
+msgstr "Charger les services par défaut"
 
 #: ../src/firewall-config.glade.h:86
 msgid ""
 "Add additional ports or port ranges, which need to be accessible for all "
 "hosts or networks. You can also add protocols without specific ports."
 msgstr ""
+"Ajoutez les ports ou intervalles de ports supplémentaires, qui doivent être accessibles "
+"à tous les hôtes ou réseaux. Vous pouvez également ajouter des protocoles sans ports spécifiques."
 
 #: ../src/firewall-config.glade.h:87
 msgid "Ports and Protocols"
-msgstr ""
+msgstr "Ports et protocoles"
 
 #: ../src/firewall-config.glade.h:88
 msgid "Netfilter helper modules"
-msgstr ""
+msgstr "Assistant des modules Netfilter"
 
 #: ../src/firewall-config.glade.h:89
 msgid "Modules"
 msgstr "Modules"
 
@@ -668,10 +687,13 @@
 msgid ""
 "If you specify destination addresses, the service entry will be limited to "
 "the destination address and type. If both entries are empty, there is no "
 "limitation."
 msgstr ""
+"Si vous spécifiez une adresse de destination, l'entrée de service sera limitée au "
+"type et à l'adresse de destination. Si ces deux entrées sont vides, il n'y aura "
+"pas de limitation."
 
 #: ../src/firewall-config.glade.h:91
 msgid "IPv4:"
 msgstr "IPv4 :"
 
@@ -679,15 +701,15 @@
 msgid "IPv6:"
 msgstr "IPv6 :"
 
 #: ../src/firewall-config.glade.h:93
 msgid "Base Zone Settings"
-msgstr ""
+msgstr "Paramètres de la zone de base"
 
 #: ../src/firewall-config.glade.h:94
 msgid "Please configure base zone settings:"
-msgstr ""
+msgstr "Veuillez configurer les paramètres de la zone de base :"
 
 #: ../src/firewall-config.glade.h:95
 msgid "Target:"
 msgstr "Cible :"
 
@@ -695,17 +717,17 @@
 msgid "Default Target"
 msgstr "Cible par défaut"
 
 #: ../src/firewall-config.glade.h:97
 msgid "Immutable:"
-msgstr ""
+msgstr "Immuable :"
 
 #. The {zone|service|icmptype} '<name>' has changed
 #: ../src/firewall-config.glade.h:100
 #, no-c-format
 msgid "The %s '%s' has changed, applying new settings."
-msgstr ""
+msgstr "Le %s « %s » a été modifié, les nouveaux paramètres seront appliqués."
 
 #: ../src/firewall-convert-scfw-config:54
 #, c-format
 msgid "port range %s is not unique."
 msgstr "L'intervalle de port « %s » n'est pas unique."
@@ -765,11 +787,11 @@
 msgid "Disable an iptables module"
 msgstr "Désactiver un module iptables"
 
 #: ../src/firewall-convert-scfw-config:150
 msgid "<service>"
-msgstr "<serviço>"
+msgstr "<service>"
 
 #: ../src/firewall-convert-scfw-config:151
 msgid "Open the firewall for a service (e.g, ssh)"
 msgstr "Ouvrir le pare-feu pour un service (par exemple, ssh)"
 