From 499f4ecba2b794d89db4bf83fb1fd72b2557eafd Mon Sep 17 00:00:00 2001
From: Neal Gompa <ngompa13@gmail.com>
Date: Mon, 30 May 2016 16:29:07 -0400
Subject: [PATCH 4/4] Add Mageia armv7hl build targets

---
 etc/mock/mageia-6-armv7hl.cfg        | 67 ++++++++++++++++++++++++++++++++++++
 etc/mock/mageia-cauldron-armv7hl.cfg | 47 +++++++++++++++++++++++++
 2 files changed, 114 insertions(+)
 create mode 100644 etc/mock/mageia-6-armv7hl.cfg
 create mode 100644 etc/mock/mageia-cauldron-armv7hl.cfg

diff --git a/etc/mock/mageia-6-armv7hl.cfg b/etc/mock/mageia-6-armv7hl.cfg
new file mode 100644
index 0000000..a2a6dc7
--- /dev/null
+++ b/etc/mock/mageia-6-armv7hl.cfg
@@ -0,0 +1,67 @@
+config_opts['root'] = 'mageia-6-armv7hl'
+config_opts['target_arch'] = 'armv7hl'
+config_opts['legal_host_arches'] = ('armv7l', 'armv7hl')
+config_opts['chroot_setup_cmd'] = 'install basesystem-minimal rpm-build rpm-mageia-setup rpm-mageia-setup-build'
+config_opts['dist'] = 'mga6'  # only useful for --resultdir variable subst
+config_opts['extra_chroot_dirs'] = [ '/run/lock', ]
+config_opts['useradd'] = '/usr/sbin/useradd -o -m -u %(uid)s -g %(gid)s -d %(home)s %(user)s'
+config_opts['releasever'] = '6'
+config_opts['package_manager'] = 'dnf'
+
+config_opts['yum.conf'] = """
+[main]
+keepcache=1
+debuglevel=2
+reposdir=/dev/null
+logfile=/var/log/yum.log
+retries=20
+obsoletes=1
+gpgcheck=0
+assumeyes=1
+syslog_ident=mock
+syslog_device=
+install_weak_deps=0
+metadata_expire=0
+
+
+[mageia]
+name=Mageia $releasever - armv7hl
+#baseurl=http://mirrors.kernel.org/mageia/distrib/$releasever/armv7hl/media/core/release/
+#metalink=https://mirrors.mageia.org/metalink?distrib=mageia-$releasever&arch=armv7hl@&section=core&repo=release
+mirrorlist=https://www.mageia.org/mirrorlist/?release=$releasever&arch=armv7hl&section=core&repo=release
+gpgcheck=1
+gpgkey=file:///etc/pki/mock/RPM-GPG-KEY-Mageia
+failovermethod=priority
+enabled=1
+
+[updates]
+name=Mageia $releasever - armv7hl - Updates
+#baseurl=http://mirrors.kernel.org/mageia/distrib/$releasever/armv7hl/media/core/updates/
+#metalink=https://mirrors.mageia.org/metalink?distrib=mageia-$releasever&arch=armv7hl@&section=core&repo=updates
+mirrorlist=https://www.mageia.org/mirrorlist/?release=$releasever&arch=armv7hl&section=core&repo=updates
+gpgcheck=1
+gpgkey=file:///etc/pki/mock/RPM-GPG-KEY-Mageia
+failovermethod=priority
+enabled=1
+
+[mageia-debuginfo]
+name=Mageia $releasever - armv7hl - Debug
+#baseurl=http://mirrors.kernel.org/mageia/distrib/$releasever/armv7hl/media/debug/core/release/
+#metalink=https://mirrors.mageia.org/metalink?distrib=mageia-$releasever&arch=armv7hl@&section=core&repo=release&debug=true
+mirrorlist=https://www.mageia.org/mirrorlist/?release=$releasever&arch=armv7hl&section=core&repo=release&debug=1
+gpgcheck=1
+gpgkey=file:///etc/pki/mock/RPM-GPG-KEY-Mageia
+failovermethod=priority
+enabled=0
+
+[updates-debuginfo]
+name=Mageia $releasever - armv7hl - Updates - Debug
+#baseurl=http://mirrors.kernel.org/mageia/distrib/$releasever/armv7hl/media/debug/core/updates/
+#metalink=https://mirrors.mageia.org/metalink?distrib=mageia-$releasever&arch=armv7hl@&section=core&repo=updates&debug=true
+mirrorlist=https://www.mageia.org/mirrorlist/?release=$releasever&arch=armv7hl&section=core&repo=updates&debug=1
+gpgcheck=1
+gpgkey=file:///etc/pki/mock/RPM-GPG-KEY-Mageia
+failovermethod=priority
+enabled=0
+
+"""
diff --git a/etc/mock/mageia-cauldron-armv7hl.cfg b/etc/mock/mageia-cauldron-armv7hl.cfg
new file mode 100644
index 0000000..fa6d4d6
--- /dev/null
+++ b/etc/mock/mageia-cauldron-armv7hl.cfg
@@ -0,0 +1,47 @@
+config_opts['root'] = 'mageia-cauldron-armv7hl'
+config_opts['target_arch'] = 'armv7hl'
+config_opts['legal_host_arches'] = ('armv7l', 'armv7hl')
+config_opts['chroot_setup_cmd'] = 'install basesystem-minimal rpm-build rpm-mageia-setup rpm-mageia-setup-build'
+config_opts['dist'] = 'cauldron'  # only useful for --resultdir variable subst
+config_opts['extra_chroot_dirs'] = [ '/run/lock', ]
+config_opts['useradd'] = '/usr/sbin/useradd -o -m -u %(uid)s -g %(gid)s -d %(home)s %(user)s'
+config_opts['releasever'] = '6'
+config_opts['package_manager'] = 'dnf'
+
+config_opts['yum.conf'] = """
+[main]
+keepcache=1
+debuglevel=2
+reposdir=/dev/null
+logfile=/var/log/yum.log
+retries=20
+obsoletes=1
+gpgcheck=0
+assumeyes=1
+syslog_ident=mock
+syslog_device=
+install_weak_deps=0
+metadata_expire=0
+
+
+[mageia-cauldron]
+name=Mageia Cauldron - armv7hl
+#baseurl=http://mirrors.kernel.org/mageia/distrib/cauldron/armv7hl/media/core/release/
+#metalink=https://mirrors.mageia.org/metalink?distrib=cauldron&arch=armv7hl@&section=core&repo=release
+mirrorlist=https://www.mageia.org/mirrorlist/?release=cauldron&arch=armv7hl&section=core&repo=release
+gpgcheck=1
+gpgkey=file:///etc/pki/mock/RPM-GPG-KEY-Mageia
+failovermethod=priority
+enabled=1
+
+[mageia-cauldron-debuginfo]
+name=Mageia Cauldron - armv7hl - Debug
+#baseurl=http://mirrors.kernel.org/mageia/distrib/cauldron/armv7hl/media/debug/core/release/
+#metalink=https://mirrors.mageia.org/metalink?distrib=cauldron&arch=armv7hl@&section=core&repo=release&debug=true
+mirrorlist=https://www.mageia.org/mirrorlist/?release=cauldron&arch=armv7hl&section=core&repo=release&debug=1
+gpgcheck=1
+gpgkey=file:///etc/pki/mock/RPM-GPG-KEY-Mageia
+failovermethod=priority
+enabled=0
+
+"""
-- 
2.5.5