>From 36de94adffc71b6b88b8be04e170071952013800 Mon Sep 17 00:00:00 2001
From: Alexander Larsson <alexl@redhat.com>
Date: Fri, 27 Apr 2012 11:31:52 +0200
Subject: [PATCH 2/2] Support lzma compressed .gnu_debugdata sections

In addition to normal separate debuginfo as an external file we also allow
putting a xz compressed debuginfo file into the .gnu_debugdata section of
the ELF file.

This allows us to e.g. have a minimized debuginfo file (say one with
only a subset of the symbols) efficiently stored in the executable file.
---
 gdb/elfread.c |  246 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 243 insertions(+), 3 deletions(-)

diff --git a/gdb/elfread.c b/gdb/elfread.c
index 117e674..063efee 100644
--- a/gdb/elfread.c
+++ b/gdb/elfread.c
@@ -42,6 +42,10 @@
 #include "gdbthread.h"
 #include "regcache.h"
 #include "bcache.h"
+#include "gdbcore.h"
+#ifdef HAVE_LIBLZMA
+# include <lzma.h>
+#endif
 
 extern void _initialize_elfread (void);
 
@@ -1202,6 +1206,236 @@ find_separate_debug_file_by_buildid (struct objfile *objfile)
   return NULL;
 }
 
+#ifdef HAVE_LIBLZMA
+
+/* Custom allocator for the lzma functions so they use the gdb ones.  */
+
+static void *
+alloc_lzma (void *opaque, size_t nmemb, size_t size)
+{
+  return xmalloc (nmemb * size);
+}
+
+static void
+free_lzma (void *opaque, void *ptr)
+{
+  xfree (ptr);
+}
+
+static lzma_allocator gdb_lzma_allocator = { alloc_lzma, free_lzma, NULL};
+
+/* Custom bfd_openr_iovec implementation to read compressed data from a
+   section. This keeps only the last decompressed block in memory to
+   allow larger data without using to much memory.  */
+
+struct lzma_stream
+{
+  asection *section;
+  lzma_index *index;
+
+  /* Currently decoded block.  */
+  bfd_size_type data_start;
+  bfd_size_type data_end;
+  gdb_byte *data;
+};
+
+static void *
+lzma_open (struct bfd *nbfd,
+	   void *open_closure)
+{
+  asection *section;
+  bfd_size_type size, offset;
+  lzma_stream_flags options;
+  gdb_byte footer[LZMA_STREAM_HEADER_SIZE];
+  gdb_byte *indexdata;
+  lzma_index *index;
+  int ret;
+  uint64_t memlimit = UINT64_MAX;
+  struct lzma_stream *lstream;
+  size_t pos;
+
+  section = open_closure;
+
+  size = bfd_get_section_size (section);
+  offset = section->filepos + size - LZMA_STREAM_HEADER_SIZE;
+  if (bfd_seek (section->owner, offset, SEEK_SET) != 0
+      || !bfd_bread (footer, (bfd_size_type) LZMA_STREAM_HEADER_SIZE,
+		     section->owner)
+      || lzma_stream_footer_decode (&options, (uint8_t *)footer))
+    {
+      bfd_set_error (bfd_error_wrong_format);
+      return NULL;
+    }
+
+  offset -= options.backward_size;
+  indexdata = xmalloc (options.backward_size);
+  index = NULL;
+  pos = 0;
+  if (bfd_seek (section->owner, offset, SEEK_SET) != 0
+      || !bfd_bread (indexdata, (bfd_size_type) options.backward_size,
+		     section->owner)
+      || lzma_index_buffer_decode (&index, &memlimit, &gdb_lzma_allocator,
+				   indexdata, &pos, options.backward_size)
+      || lzma_index_size (index) != options.backward_size)
+    {
+      xfree (indexdata);
+      bfd_set_error (bfd_error_wrong_format);
+      return NULL;
+    }
+  xfree (indexdata);
+
+  lstream = xcalloc (1, sizeof (struct lzma_stream));
+  lstream->section = section;
+  lstream->index = index;
+
+  return lstream;
+}
+
+static file_ptr
+lzma_pread (struct bfd *nbfd,
+	    void *stream,
+	    void *buf,
+	    file_ptr nbytes,
+	    file_ptr offset)
+{
+  struct lzma_stream *lstream = stream;
+  bfd_size_type chunk_size;
+  lzma_index_iter iter;
+  gdb_byte *compressed, *uncompressed;
+  file_ptr block_offset;
+  lzma_filter filters[LZMA_FILTERS_MAX + 1];
+  lzma_block block;
+  size_t compressed_pos, uncompressed_pos;
+  file_ptr res;
+
+  res = 0;
+  while (nbytes > 0)
+    {
+      if (lstream->data == NULL
+	  || lstream->data_start > offset || offset >= lstream->data_end)
+	{
+	  asection *section = lstream->section;
+
+	  lzma_index_iter_init (&iter, lstream->index);
+	  if (lzma_index_iter_locate (&iter, offset))
+	    break;
+
+	  compressed = xmalloc (iter.block.total_size);
+	  block_offset = section->filepos + iter.block.compressed_file_offset;
+	  if (bfd_seek (section->owner, block_offset, SEEK_SET) != 0
+	      || !bfd_bread (compressed, (bfd_size_type) iter.block.total_size,
+			     section->owner))
+	    {
+	      xfree (compressed);
+	      break;
+	    }
+
+	  uncompressed = xmalloc (iter.block.uncompressed_size);
+
+	  memset (&block, 0, sizeof (block));
+	  block.filters = filters;
+	  block.header_size = lzma_block_header_size_decode(compressed[0]);
+	  if (lzma_block_header_decode (&block, &gdb_lzma_allocator,
+					compressed))
+	    {
+	      xfree (compressed);
+	      xfree (uncompressed);
+	      break;
+	    }
+
+	  compressed_pos = block.header_size;
+	  uncompressed_pos = 0;
+	  if (lzma_block_buffer_decode (&block, &gdb_lzma_allocator,
+					compressed, &compressed_pos,
+					iter.block.total_size,
+					uncompressed, &uncompressed_pos,
+					iter.block.uncompressed_size))
+	    {
+	      xfree (compressed);
+	      xfree (uncompressed);
+	      break;
+	    }
+
+	  xfree (compressed);
+
+	  xfree (lstream->data);
+	  lstream->data = uncompressed;
+	  lstream->data_start = iter.block.uncompressed_file_offset;
+	  lstream->data_end =
+	    iter.block.uncompressed_file_offset + iter.block.uncompressed_size;
+	}
+
+      chunk_size = min (nbytes, lstream->data_end - offset);
+      memcpy (buf, lstream->data + offset - lstream->data_start, chunk_size);
+      buf = (void *)((gdb_byte *)buf + chunk_size);
+      offset += chunk_size;
+      nbytes -= chunk_size;
+      res += chunk_size;
+    }
+
+  return res;
+}
+
+static int
+lzma_close (struct bfd *nbfd,
+	    void *stream)
+{
+  struct lzma_stream *lstream = stream;
+
+  lzma_index_end (lstream->index, &gdb_lzma_allocator);
+  xfree (lstream->data);
+  xfree (lstream);
+  return 0;
+}
+
+static int
+lzma_stat (struct bfd *abfd,
+	   void *stream,
+	   struct stat *sb)
+{
+  struct lzma_stream *lstream = stream;
+
+  sb->st_size = lzma_index_uncompressed_size (lstream->index);
+  return 0;
+}
+
+/* This looks for a xz compressed separate debug info object file embedded
+   in a section called .gnu_debugdata. If we find one we create a iovec
+   based bfd that decompresses the object data on demand.  */
+
+static bfd *
+find_separate_debug_file_in_section (struct objfile *objfile)
+{
+  asection *section;
+  bfd *abfd;
+
+  section = bfd_get_section_by_name (objfile->obfd, ".gnu_debugdata");
+  if (section == NULL)
+    return NULL;
+
+  abfd = bfd_openr_iovec (objfile->name, gnutarget,
+			  lzma_open, section,
+			  lzma_pread, lzma_close, lzma_stat);
+
+  if (!bfd_check_format (abfd, bfd_object))
+    {
+      bfd_close (abfd);
+      return NULL;
+    }
+
+  return abfd;
+}
+
+#else
+
+static bfd *
+find_separate_debug_file_in_section (struct objfile *objfile)
+{
+  return NULL;
+}
+
+#endif
+
 /* Scan and build partial symbols for a symbol file.
    We have been initialized by a call to elf_symfile_init, which
    currently does nothing.
@@ -1417,6 +1651,7 @@ elf_symfile_read (struct objfile *objfile, int symfile_flags)
      `.note.gnu.build-id'.  */
   else if (!objfile_has_partial_symbols (objfile))
     {
+      bfd *abfd = NULL;
       char *debugfile;
 
       debugfile = find_separate_debug_file_by_buildid (objfile);
@@ -1426,11 +1661,16 @@ elf_symfile_read (struct objfile *objfile, int symfile_flags)
 
       if (debugfile)
 	{
-	  bfd *abfd = symfile_bfd_open (debugfile);
-
-	  symbol_file_add_separate (abfd, symfile_flags, objfile);
+	  abfd = symfile_bfd_open (debugfile);
 	  xfree (debugfile);
 	}
+
+      if (abfd == NULL)
+	abfd = find_separate_debug_file_in_section (objfile);
+
+      if (abfd != NULL)
+	symbol_file_add_separate (abfd, symfile_flags, objfile);
+
     }
 }
 
-- 
1.7.10